// Based on glad.c in melonDS/src/frontend/glad

#include <stdio.h>

#include "BizOGL.h"

bool IsWinAPI;

PFNGLACTIVESHADERPROGRAMPROC biz_glActiveShaderProgram;
PFNGLACTIVETEXTUREPROC biz_glActiveTexture;
PFNGLATTACHSHADERPROC biz_glAttachShader;
PFNGLBEGINCONDITIONALRENDERPROC biz_glBeginConditionalRender;
PFNGLBEGINQUERYPROC biz_glBeginQuery;
PFNGLBEGINQUERYINDEXEDPROC biz_glBeginQueryIndexed;
PFNGLBEGINTRANSFORMFEEDBACKPROC biz_glBeginTransformFeedback;
PFNGLBINDATTRIBLOCATIONPROC biz_glBindAttribLocation;
PFNGLBINDBUFFERPROC biz_glBindBuffer;
PFNGLBINDBUFFERBASEPROC biz_glBindBufferBase;
PFNGLBINDBUFFERRANGEPROC biz_glBindBufferRange;
PFNGLBINDFRAGDATALOCATIONPROC biz_glBindFragDataLocation;
PFNGLBINDFRAGDATALOCATIONINDEXEDPROC biz_glBindFragDataLocationIndexed;
PFNGLBINDFRAMEBUFFERPROC biz_glBindFramebuffer;
PFNGLBINDIMAGETEXTUREPROC biz_glBindImageTexture;
PFNGLBINDPROGRAMPIPELINEPROC biz_glBindProgramPipeline;
PFNGLBINDRENDERBUFFERPROC biz_glBindRenderbuffer;
PFNGLBINDSAMPLERPROC biz_glBindSampler;
PFNGLBINDTEXTUREPROC biz_glBindTexture;
PFNGLBINDTRANSFORMFEEDBACKPROC biz_glBindTransformFeedback;
PFNGLBINDVERTEXARRAYPROC biz_glBindVertexArray;
PFNGLBINDVERTEXBUFFERPROC biz_glBindVertexBuffer;
PFNGLBLENDCOLORPROC biz_glBlendColor;
PFNGLBLENDEQUATIONPROC biz_glBlendEquation;
PFNGLBLENDEQUATIONSEPARATEPROC biz_glBlendEquationSeparate;
PFNGLBLENDEQUATIONSEPARATEIPROC biz_glBlendEquationSeparatei;
PFNGLBLENDEQUATIONIPROC biz_glBlendEquationi;
PFNGLBLENDFUNCPROC biz_glBlendFunc;
PFNGLBLENDFUNCSEPARATEPROC biz_glBlendFuncSeparate;
PFNGLBLENDFUNCSEPARATEIPROC biz_glBlendFuncSeparatei;
PFNGLBLENDFUNCIPROC biz_glBlendFunci;
PFNGLBLITFRAMEBUFFERPROC biz_glBlitFramebuffer;
PFNGLBUFFERDATAPROC biz_glBufferData;
PFNGLBUFFERSUBDATAPROC biz_glBufferSubData;
PFNGLCHECKFRAMEBUFFERSTATUSPROC biz_glCheckFramebufferStatus;
PFNGLCLAMPCOLORPROC biz_glClampColor;
PFNGLCLEARPROC biz_glClear;
PFNGLCLEARBUFFERDATAPROC biz_glClearBufferData;
PFNGLCLEARBUFFERSUBDATAPROC biz_glClearBufferSubData;
PFNGLCLEARBUFFERFIPROC biz_glClearBufferfi;
PFNGLCLEARBUFFERFVPROC biz_glClearBufferfv;
PFNGLCLEARBUFFERIVPROC biz_glClearBufferiv;
PFNGLCLEARBUFFERUIVPROC biz_glClearBufferuiv;
PFNGLCLEARCOLORPROC biz_glClearColor;
PFNGLCLEARDEPTHPROC biz_glClearDepth;
PFNGLCLEARDEPTHFPROC biz_glClearDepthf;
PFNGLCLEARSTENCILPROC biz_glClearStencil;
PFNGLCLIENTWAITSYNCPROC biz_glClientWaitSync;
PFNGLCOLORMASKPROC biz_glColorMask;
PFNGLCOLORMASKIPROC biz_glColorMaski;
PFNGLCOLORP3UIPROC biz_glColorP3ui;
PFNGLCOLORP3UIVPROC biz_glColorP3uiv;
PFNGLCOLORP4UIPROC biz_glColorP4ui;
PFNGLCOLORP4UIVPROC biz_glColorP4uiv;
PFNGLCOMPILESHADERPROC biz_glCompileShader;
PFNGLCOMPRESSEDTEXIMAGE1DPROC biz_glCompressedTexImage1D;
PFNGLCOMPRESSEDTEXIMAGE2DPROC biz_glCompressedTexImage2D;
PFNGLCOMPRESSEDTEXIMAGE3DPROC biz_glCompressedTexImage3D;
PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC biz_glCompressedTexSubImage1D;
PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC biz_glCompressedTexSubImage2D;
PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC biz_glCompressedTexSubImage3D;
PFNGLCOPYBUFFERSUBDATAPROC biz_glCopyBufferSubData;
PFNGLCOPYIMAGESUBDATAPROC biz_glCopyImageSubData;
PFNGLCOPYTEXIMAGE1DPROC biz_glCopyTexImage1D;
PFNGLCOPYTEXIMAGE2DPROC biz_glCopyTexImage2D;
PFNGLCOPYTEXSUBIMAGE1DPROC biz_glCopyTexSubImage1D;
PFNGLCOPYTEXSUBIMAGE2DPROC biz_glCopyTexSubImage2D;
PFNGLCOPYTEXSUBIMAGE3DPROC biz_glCopyTexSubImage3D;
PFNGLCREATEPROGRAMPROC biz_glCreateProgram;
PFNGLCREATESHADERPROC biz_glCreateShader;
PFNGLCREATESHADERPROGRAMVPROC biz_glCreateShaderProgramv;
PFNGLCULLFACEPROC biz_glCullFace;
PFNGLDEBUGMESSAGECALLBACKPROC biz_glDebugMessageCallback;
PFNGLDEBUGMESSAGECONTROLPROC biz_glDebugMessageControl;
PFNGLDEBUGMESSAGEINSERTPROC biz_glDebugMessageInsert;
PFNGLDELETEBUFFERSPROC biz_glDeleteBuffers;
PFNGLDELETEFRAMEBUFFERSPROC biz_glDeleteFramebuffers;
PFNGLDELETEPROGRAMPROC biz_glDeleteProgram;
PFNGLDELETEPROGRAMPIPELINESPROC biz_glDeleteProgramPipelines;
PFNGLDELETEQUERIESPROC biz_glDeleteQueries;
PFNGLDELETERENDERBUFFERSPROC biz_glDeleteRenderbuffers;
PFNGLDELETESAMPLERSPROC biz_glDeleteSamplers;
PFNGLDELETESHADERPROC biz_glDeleteShader;
PFNGLDELETESYNCPROC biz_glDeleteSync;
PFNGLDELETETEXTURESPROC biz_glDeleteTextures;
PFNGLDELETETRANSFORMFEEDBACKSPROC biz_glDeleteTransformFeedbacks;
PFNGLDELETEVERTEXARRAYSPROC biz_glDeleteVertexArrays;
PFNGLDEPTHFUNCPROC biz_glDepthFunc;
PFNGLDEPTHMASKPROC biz_glDepthMask;
PFNGLDEPTHRANGEPROC biz_glDepthRange;
PFNGLDEPTHRANGEARRAYVPROC biz_glDepthRangeArrayv;
PFNGLDEPTHRANGEINDEXEDPROC biz_glDepthRangeIndexed;
PFNGLDEPTHRANGEFPROC biz_glDepthRangef;
PFNGLDETACHSHADERPROC biz_glDetachShader;
PFNGLDISABLEPROC biz_glDisable;
PFNGLDISABLEVERTEXATTRIBARRAYPROC biz_glDisableVertexAttribArray;
PFNGLDISABLEIPROC biz_glDisablei;
PFNGLDISPATCHCOMPUTEPROC biz_glDispatchCompute;
PFNGLDISPATCHCOMPUTEINDIRECTPROC biz_glDispatchComputeIndirect;
PFNGLDRAWARRAYSPROC biz_glDrawArrays;
PFNGLDRAWARRAYSINDIRECTPROC biz_glDrawArraysIndirect;
PFNGLDRAWARRAYSINSTANCEDPROC biz_glDrawArraysInstanced;
PFNGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC biz_glDrawArraysInstancedBaseInstance;
PFNGLDRAWBUFFERPROC biz_glDrawBuffer;
PFNGLDRAWBUFFERSPROC biz_glDrawBuffers;
PFNGLDRAWELEMENTSPROC biz_glDrawElements;
PFNGLDRAWELEMENTSBASEVERTEXPROC biz_glDrawElementsBaseVertex;
PFNGLDRAWELEMENTSINDIRECTPROC biz_glDrawElementsIndirect;
PFNGLDRAWELEMENTSINSTANCEDPROC biz_glDrawElementsInstanced;
PFNGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC biz_glDrawElementsInstancedBaseInstance;
PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC biz_glDrawElementsInstancedBaseVertex;
PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC biz_glDrawElementsInstancedBaseVertexBaseInstance;
PFNGLDRAWRANGEELEMENTSPROC biz_glDrawRangeElements;
PFNGLDRAWRANGEELEMENTSBASEVERTEXPROC biz_glDrawRangeElementsBaseVertex;
PFNGLDRAWTRANSFORMFEEDBACKPROC biz_glDrawTransformFeedback;
PFNGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC biz_glDrawTransformFeedbackInstanced;
PFNGLDRAWTRANSFORMFEEDBACKSTREAMPROC biz_glDrawTransformFeedbackStream;
PFNGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC biz_glDrawTransformFeedbackStreamInstanced;
PFNGLENABLEPROC biz_glEnable;
PFNGLENABLEVERTEXATTRIBARRAYPROC biz_glEnableVertexAttribArray;
PFNGLENABLEIPROC biz_glEnablei;
PFNGLENDCONDITIONALRENDERPROC biz_glEndConditionalRender;
PFNGLENDQUERYPROC biz_glEndQuery;
PFNGLENDQUERYINDEXEDPROC biz_glEndQueryIndexed;
PFNGLENDTRANSFORMFEEDBACKPROC biz_glEndTransformFeedback;
PFNGLFENCESYNCPROC biz_glFenceSync;
PFNGLFINISHPROC biz_glFinish;
PFNGLFLUSHPROC biz_glFlush;
PFNGLFLUSHMAPPEDBUFFERRANGEPROC biz_glFlushMappedBufferRange;
PFNGLFRAMEBUFFERPARAMETERIPROC biz_glFramebufferParameteri;
PFNGLFRAMEBUFFERRENDERBUFFERPROC biz_glFramebufferRenderbuffer;
PFNGLFRAMEBUFFERTEXTUREPROC biz_glFramebufferTexture;
PFNGLFRAMEBUFFERTEXTURE1DPROC biz_glFramebufferTexture1D;
PFNGLFRAMEBUFFERTEXTURE2DPROC biz_glFramebufferTexture2D;
PFNGLFRAMEBUFFERTEXTURE3DPROC biz_glFramebufferTexture3D;
PFNGLFRAMEBUFFERTEXTURELAYERPROC biz_glFramebufferTextureLayer;
PFNGLFRONTFACEPROC biz_glFrontFace;
PFNGLGENBUFFERSPROC biz_glGenBuffers;
PFNGLGENFRAMEBUFFERSPROC biz_glGenFramebuffers;
PFNGLGENPROGRAMPIPELINESPROC biz_glGenProgramPipelines;
PFNGLGENQUERIESPROC biz_glGenQueries;
PFNGLGENRENDERBUFFERSPROC biz_glGenRenderbuffers;
PFNGLGENSAMPLERSPROC biz_glGenSamplers;
PFNGLGENTEXTURESPROC biz_glGenTextures;
PFNGLGENTRANSFORMFEEDBACKSPROC biz_glGenTransformFeedbacks;
PFNGLGENVERTEXARRAYSPROC biz_glGenVertexArrays;
PFNGLGENERATEMIPMAPPROC biz_glGenerateMipmap;
PFNGLGETACTIVEATOMICCOUNTERBUFFERIVPROC biz_glGetActiveAtomicCounterBufferiv;
PFNGLGETACTIVEATTRIBPROC biz_glGetActiveAttrib;
PFNGLGETACTIVESUBROUTINENAMEPROC biz_glGetActiveSubroutineName;
PFNGLGETACTIVESUBROUTINEUNIFORMNAMEPROC biz_glGetActiveSubroutineUniformName;
PFNGLGETACTIVESUBROUTINEUNIFORMIVPROC biz_glGetActiveSubroutineUniformiv;
PFNGLGETACTIVEUNIFORMPROC biz_glGetActiveUniform;
PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC biz_glGetActiveUniformBlockName;
PFNGLGETACTIVEUNIFORMBLOCKIVPROC biz_glGetActiveUniformBlockiv;
PFNGLGETACTIVEUNIFORMNAMEPROC biz_glGetActiveUniformName;
PFNGLGETACTIVEUNIFORMSIVPROC biz_glGetActiveUniformsiv;
PFNGLGETATTACHEDSHADERSPROC biz_glGetAttachedShaders;
PFNGLGETATTRIBLOCATIONPROC biz_glGetAttribLocation;
PFNGLGETBOOLEANI_VPROC biz_glGetBooleani_v;
PFNGLGETBOOLEANVPROC biz_glGetBooleanv;
PFNGLGETBUFFERPARAMETERI64VPROC biz_glGetBufferParameteri64v;
PFNGLGETBUFFERPARAMETERIVPROC biz_glGetBufferParameteriv;
PFNGLGETBUFFERPOINTERVPROC biz_glGetBufferPointerv;
PFNGLGETBUFFERSUBDATAPROC biz_glGetBufferSubData;
PFNGLGETCOMPRESSEDTEXIMAGEPROC biz_glGetCompressedTexImage;
PFNGLGETDEBUGMESSAGELOGPROC biz_glGetDebugMessageLog;
PFNGLGETDOUBLEI_VPROC biz_glGetDoublei_v;
PFNGLGETDOUBLEVPROC biz_glGetDoublev;
PFNGLGETERRORPROC biz_glGetError;
PFNGLGETFLOATI_VPROC biz_glGetFloati_v;
PFNGLGETFLOATVPROC biz_glGetFloatv;
PFNGLGETFRAGDATAINDEXPROC biz_glGetFragDataIndex;
PFNGLGETFRAGDATALOCATIONPROC biz_glGetFragDataLocation;
PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC biz_glGetFramebufferAttachmentParameteriv;
PFNGLGETFRAMEBUFFERPARAMETERIVPROC biz_glGetFramebufferParameteriv;
PFNGLGETINTEGER64I_VPROC biz_glGetInteger64i_v;
PFNGLGETINTEGER64VPROC biz_glGetInteger64v;
PFNGLGETINTEGERI_VPROC biz_glGetIntegeri_v;
PFNGLGETINTEGERVPROC biz_glGetIntegerv;
PFNGLGETINTERNALFORMATI64VPROC biz_glGetInternalformati64v;
PFNGLGETINTERNALFORMATIVPROC biz_glGetInternalformativ;
PFNGLGETMULTISAMPLEFVPROC biz_glGetMultisamplefv;
PFNGLGETOBJECTLABELPROC biz_glGetObjectLabel;
PFNGLGETOBJECTPTRLABELPROC biz_glGetObjectPtrLabel;
PFNGLGETPOINTERVPROC biz_glGetPointerv;
PFNGLGETPROGRAMBINARYPROC biz_glGetProgramBinary;
PFNGLGETPROGRAMINFOLOGPROC biz_glGetProgramInfoLog;
PFNGLGETPROGRAMINTERFACEIVPROC biz_glGetProgramInterfaceiv;
PFNGLGETPROGRAMPIPELINEINFOLOGPROC biz_glGetProgramPipelineInfoLog;
PFNGLGETPROGRAMPIPELINEIVPROC biz_glGetProgramPipelineiv;
PFNGLGETPROGRAMRESOURCEINDEXPROC biz_glGetProgramResourceIndex;
PFNGLGETPROGRAMRESOURCELOCATIONPROC biz_glGetProgramResourceLocation;
PFNGLGETPROGRAMRESOURCELOCATIONINDEXPROC biz_glGetProgramResourceLocationIndex;
PFNGLGETPROGRAMRESOURCENAMEPROC biz_glGetProgramResourceName;
PFNGLGETPROGRAMRESOURCEIVPROC biz_glGetProgramResourceiv;
PFNGLGETPROGRAMSTAGEIVPROC biz_glGetProgramStageiv;
PFNGLGETPROGRAMIVPROC biz_glGetProgramiv;
PFNGLGETQUERYINDEXEDIVPROC biz_glGetQueryIndexediv;
PFNGLGETQUERYOBJECTI64VPROC biz_glGetQueryObjecti64v;
PFNGLGETQUERYOBJECTIVPROC biz_glGetQueryObjectiv;
PFNGLGETQUERYOBJECTUI64VPROC biz_glGetQueryObjectui64v;
PFNGLGETQUERYOBJECTUIVPROC biz_glGetQueryObjectuiv;
PFNGLGETQUERYIVPROC biz_glGetQueryiv;
PFNGLGETRENDERBUFFERPARAMETERIVPROC biz_glGetRenderbufferParameteriv;
PFNGLGETSAMPLERPARAMETERIIVPROC biz_glGetSamplerParameterIiv;
PFNGLGETSAMPLERPARAMETERIUIVPROC biz_glGetSamplerParameterIuiv;
PFNGLGETSAMPLERPARAMETERFVPROC biz_glGetSamplerParameterfv;
PFNGLGETSAMPLERPARAMETERIVPROC biz_glGetSamplerParameteriv;
PFNGLGETSHADERINFOLOGPROC biz_glGetShaderInfoLog;
PFNGLGETSHADERPRECISIONFORMATPROC biz_glGetShaderPrecisionFormat;
PFNGLGETSHADERSOURCEPROC biz_glGetShaderSource;
PFNGLGETSHADERIVPROC biz_glGetShaderiv;
PFNGLGETSTRINGPROC biz_glGetString;
PFNGLGETSTRINGIPROC biz_glGetStringi;
PFNGLGETSUBROUTINEINDEXPROC biz_glGetSubroutineIndex;
PFNGLGETSUBROUTINEUNIFORMLOCATIONPROC biz_glGetSubroutineUniformLocation;
PFNGLGETSYNCIVPROC biz_glGetSynciv;
PFNGLGETTEXIMAGEPROC biz_glGetTexImage;
PFNGLGETTEXLEVELPARAMETERFVPROC biz_glGetTexLevelParameterfv;
PFNGLGETTEXLEVELPARAMETERIVPROC biz_glGetTexLevelParameteriv;
PFNGLGETTEXPARAMETERIIVPROC biz_glGetTexParameterIiv;
PFNGLGETTEXPARAMETERIUIVPROC biz_glGetTexParameterIuiv;
PFNGLGETTEXPARAMETERFVPROC biz_glGetTexParameterfv;
PFNGLGETTEXPARAMETERIVPROC biz_glGetTexParameteriv;
PFNGLGETTRANSFORMFEEDBACKVARYINGPROC biz_glGetTransformFeedbackVarying;
PFNGLGETUNIFORMBLOCKINDEXPROC biz_glGetUniformBlockIndex;
PFNGLGETUNIFORMINDICESPROC biz_glGetUniformIndices;
PFNGLGETUNIFORMLOCATIONPROC biz_glGetUniformLocation;
PFNGLGETUNIFORMSUBROUTINEUIVPROC biz_glGetUniformSubroutineuiv;
PFNGLGETUNIFORMDVPROC biz_glGetUniformdv;
PFNGLGETUNIFORMFVPROC biz_glGetUniformfv;
PFNGLGETUNIFORMIVPROC biz_glGetUniformiv;
PFNGLGETUNIFORMUIVPROC biz_glGetUniformuiv;
PFNGLGETVERTEXATTRIBIIVPROC biz_glGetVertexAttribIiv;
PFNGLGETVERTEXATTRIBIUIVPROC biz_glGetVertexAttribIuiv;
PFNGLGETVERTEXATTRIBLDVPROC biz_glGetVertexAttribLdv;
PFNGLGETVERTEXATTRIBPOINTERVPROC biz_glGetVertexAttribPointerv;
PFNGLGETVERTEXATTRIBDVPROC biz_glGetVertexAttribdv;
PFNGLGETVERTEXATTRIBFVPROC biz_glGetVertexAttribfv;
PFNGLGETVERTEXATTRIBIVPROC biz_glGetVertexAttribiv;
PFNGLHINTPROC biz_glHint;
PFNGLINVALIDATEBUFFERDATAPROC biz_glInvalidateBufferData;
PFNGLINVALIDATEBUFFERSUBDATAPROC biz_glInvalidateBufferSubData;
PFNGLINVALIDATEFRAMEBUFFERPROC biz_glInvalidateFramebuffer;
PFNGLINVALIDATESUBFRAMEBUFFERPROC biz_glInvalidateSubFramebuffer;
PFNGLINVALIDATETEXIMAGEPROC biz_glInvalidateTexImage;
PFNGLINVALIDATETEXSUBIMAGEPROC biz_glInvalidateTexSubImage;
PFNGLISBUFFERPROC biz_glIsBuffer;
PFNGLISENABLEDPROC biz_glIsEnabled;
PFNGLISENABLEDIPROC biz_glIsEnabledi;
PFNGLISFRAMEBUFFERPROC biz_glIsFramebuffer;
PFNGLISPROGRAMPROC biz_glIsProgram;
PFNGLISPROGRAMPIPELINEPROC biz_glIsProgramPipeline;
PFNGLISQUERYPROC biz_glIsQuery;
PFNGLISRENDERBUFFERPROC biz_glIsRenderbuffer;
PFNGLISSAMPLERPROC biz_glIsSampler;
PFNGLISSHADERPROC biz_glIsShader;
PFNGLISSYNCPROC biz_glIsSync;
PFNGLISTEXTUREPROC biz_glIsTexture;
PFNGLISTRANSFORMFEEDBACKPROC biz_glIsTransformFeedback;
PFNGLISVERTEXARRAYPROC biz_glIsVertexArray;
PFNGLLINEWIDTHPROC biz_glLineWidth;
PFNGLLINKPROGRAMPROC biz_glLinkProgram;
PFNGLLOGICOPPROC biz_glLogicOp;
PFNGLMAPBUFFERPROC biz_glMapBuffer;
PFNGLMAPBUFFERRANGEPROC biz_glMapBufferRange;
PFNGLMEMORYBARRIERPROC biz_glMemoryBarrier;
PFNGLMINSAMPLESHADINGPROC biz_glMinSampleShading;
PFNGLMULTIDRAWARRAYSPROC biz_glMultiDrawArrays;
PFNGLMULTIDRAWARRAYSINDIRECTPROC biz_glMultiDrawArraysIndirect;
PFNGLMULTIDRAWELEMENTSPROC biz_glMultiDrawElements;
PFNGLMULTIDRAWELEMENTSBASEVERTEXPROC biz_glMultiDrawElementsBaseVertex;
PFNGLMULTIDRAWELEMENTSINDIRECTPROC biz_glMultiDrawElementsIndirect;
PFNGLMULTITEXCOORDP1UIPROC biz_glMultiTexCoordP1ui;
PFNGLMULTITEXCOORDP1UIVPROC biz_glMultiTexCoordP1uiv;
PFNGLMULTITEXCOORDP2UIPROC biz_glMultiTexCoordP2ui;
PFNGLMULTITEXCOORDP2UIVPROC biz_glMultiTexCoordP2uiv;
PFNGLMULTITEXCOORDP3UIPROC biz_glMultiTexCoordP3ui;
PFNGLMULTITEXCOORDP3UIVPROC biz_glMultiTexCoordP3uiv;
PFNGLMULTITEXCOORDP4UIPROC biz_glMultiTexCoordP4ui;
PFNGLMULTITEXCOORDP4UIVPROC biz_glMultiTexCoordP4uiv;
PFNGLNORMALP3UIPROC biz_glNormalP3ui;
PFNGLNORMALP3UIVPROC biz_glNormalP3uiv;
PFNGLOBJECTLABELPROC biz_glObjectLabel;
PFNGLOBJECTPTRLABELPROC biz_glObjectPtrLabel;
PFNGLPATCHPARAMETERFVPROC biz_glPatchParameterfv;
PFNGLPATCHPARAMETERIPROC biz_glPatchParameteri;
PFNGLPAUSETRANSFORMFEEDBACKPROC biz_glPauseTransformFeedback;
PFNGLPIXELSTOREFPROC biz_glPixelStoref;
PFNGLPIXELSTOREIPROC biz_glPixelStorei;
PFNGLPOINTPARAMETERFPROC biz_glPointParameterf;
PFNGLPOINTPARAMETERFVPROC biz_glPointParameterfv;
PFNGLPOINTPARAMETERIPROC biz_glPointParameteri;
PFNGLPOINTPARAMETERIVPROC biz_glPointParameteriv;
PFNGLPOINTSIZEPROC biz_glPointSize;
PFNGLPOLYGONMODEPROC biz_glPolygonMode;
PFNGLPOLYGONOFFSETPROC biz_glPolygonOffset;
PFNGLPOPDEBUGGROUPPROC biz_glPopDebugGroup;
PFNGLPRIMITIVERESTARTINDEXPROC biz_glPrimitiveRestartIndex;
PFNGLPROGRAMBINARYPROC biz_glProgramBinary;
PFNGLPROGRAMPARAMETERIPROC biz_glProgramParameteri;
PFNGLPROGRAMUNIFORM1DPROC biz_glProgramUniform1d;
PFNGLPROGRAMUNIFORM1DVPROC biz_glProgramUniform1dv;
PFNGLPROGRAMUNIFORM1FPROC biz_glProgramUniform1f;
PFNGLPROGRAMUNIFORM1FVPROC biz_glProgramUniform1fv;
PFNGLPROGRAMUNIFORM1IPROC biz_glProgramUniform1i;
PFNGLPROGRAMUNIFORM1IVPROC biz_glProgramUniform1iv;
PFNGLPROGRAMUNIFORM1UIPROC biz_glProgramUniform1ui;
PFNGLPROGRAMUNIFORM1UIVPROC biz_glProgramUniform1uiv;
PFNGLPROGRAMUNIFORM2DPROC biz_glProgramUniform2d;
PFNGLPROGRAMUNIFORM2DVPROC biz_glProgramUniform2dv;
PFNGLPROGRAMUNIFORM2FPROC biz_glProgramUniform2f;
PFNGLPROGRAMUNIFORM2FVPROC biz_glProgramUniform2fv;
PFNGLPROGRAMUNIFORM2IPROC biz_glProgramUniform2i;
PFNGLPROGRAMUNIFORM2IVPROC biz_glProgramUniform2iv;
PFNGLPROGRAMUNIFORM2UIPROC biz_glProgramUniform2ui;
PFNGLPROGRAMUNIFORM2UIVPROC biz_glProgramUniform2uiv;
PFNGLPROGRAMUNIFORM3DPROC biz_glProgramUniform3d;
PFNGLPROGRAMUNIFORM3DVPROC biz_glProgramUniform3dv;
PFNGLPROGRAMUNIFORM3FPROC biz_glProgramUniform3f;
PFNGLPROGRAMUNIFORM3FVPROC biz_glProgramUniform3fv;
PFNGLPROGRAMUNIFORM3IPROC biz_glProgramUniform3i;
PFNGLPROGRAMUNIFORM3IVPROC biz_glProgramUniform3iv;
PFNGLPROGRAMUNIFORM3UIPROC biz_glProgramUniform3ui;
PFNGLPROGRAMUNIFORM3UIVPROC biz_glProgramUniform3uiv;
PFNGLPROGRAMUNIFORM4DPROC biz_glProgramUniform4d;
PFNGLPROGRAMUNIFORM4DVPROC biz_glProgramUniform4dv;
PFNGLPROGRAMUNIFORM4FPROC biz_glProgramUniform4f;
PFNGLPROGRAMUNIFORM4FVPROC biz_glProgramUniform4fv;
PFNGLPROGRAMUNIFORM4IPROC biz_glProgramUniform4i;
PFNGLPROGRAMUNIFORM4IVPROC biz_glProgramUniform4iv;
PFNGLPROGRAMUNIFORM4UIPROC biz_glProgramUniform4ui;
PFNGLPROGRAMUNIFORM4UIVPROC biz_glProgramUniform4uiv;
PFNGLPROGRAMUNIFORMMATRIX2DVPROC biz_glProgramUniformMatrix2dv;
PFNGLPROGRAMUNIFORMMATRIX2FVPROC biz_glProgramUniformMatrix2fv;
PFNGLPROGRAMUNIFORMMATRIX2X3DVPROC biz_glProgramUniformMatrix2x3dv;
PFNGLPROGRAMUNIFORMMATRIX2X3FVPROC biz_glProgramUniformMatrix2x3fv;
PFNGLPROGRAMUNIFORMMATRIX2X4DVPROC biz_glProgramUniformMatrix2x4dv;
PFNGLPROGRAMUNIFORMMATRIX2X4FVPROC biz_glProgramUniformMatrix2x4fv;
PFNGLPROGRAMUNIFORMMATRIX3DVPROC biz_glProgramUniformMatrix3dv;
PFNGLPROGRAMUNIFORMMATRIX3FVPROC biz_glProgramUniformMatrix3fv;
PFNGLPROGRAMUNIFORMMATRIX3X2DVPROC biz_glProgramUniformMatrix3x2dv;
PFNGLPROGRAMUNIFORMMATRIX3X2FVPROC biz_glProgramUniformMatrix3x2fv;
PFNGLPROGRAMUNIFORMMATRIX3X4DVPROC biz_glProgramUniformMatrix3x4dv;
PFNGLPROGRAMUNIFORMMATRIX3X4FVPROC biz_glProgramUniformMatrix3x4fv;
PFNGLPROGRAMUNIFORMMATRIX4DVPROC biz_glProgramUniformMatrix4dv;
PFNGLPROGRAMUNIFORMMATRIX4FVPROC biz_glProgramUniformMatrix4fv;
PFNGLPROGRAMUNIFORMMATRIX4X2DVPROC biz_glProgramUniformMatrix4x2dv;
PFNGLPROGRAMUNIFORMMATRIX4X2FVPROC biz_glProgramUniformMatrix4x2fv;
PFNGLPROGRAMUNIFORMMATRIX4X3DVPROC biz_glProgramUniformMatrix4x3dv;
PFNGLPROGRAMUNIFORMMATRIX4X3FVPROC biz_glProgramUniformMatrix4x3fv;
PFNGLPROVOKINGVERTEXPROC biz_glProvokingVertex;
PFNGLPUSHDEBUGGROUPPROC biz_glPushDebugGroup;
PFNGLQUERYCOUNTERPROC biz_glQueryCounter;
PFNGLREADBUFFERPROC biz_glReadBuffer;
PFNGLREADPIXELSPROC biz_glReadPixels;
PFNGLRELEASESHADERCOMPILERPROC biz_glReleaseShaderCompiler;
PFNGLRENDERBUFFERSTORAGEPROC biz_glRenderbufferStorage;
PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC biz_glRenderbufferStorageMultisample;
PFNGLRESUMETRANSFORMFEEDBACKPROC biz_glResumeTransformFeedback;
PFNGLSAMPLECOVERAGEPROC biz_glSampleCoverage;
PFNGLSAMPLEMASKIPROC biz_glSampleMaski;
PFNGLSAMPLERPARAMETERIIVPROC biz_glSamplerParameterIiv;
PFNGLSAMPLERPARAMETERIUIVPROC biz_glSamplerParameterIuiv;
PFNGLSAMPLERPARAMETERFPROC biz_glSamplerParameterf;
PFNGLSAMPLERPARAMETERFVPROC biz_glSamplerParameterfv;
PFNGLSAMPLERPARAMETERIPROC biz_glSamplerParameteri;
PFNGLSAMPLERPARAMETERIVPROC biz_glSamplerParameteriv;
PFNGLSCISSORPROC biz_glScissor;
PFNGLSCISSORARRAYVPROC biz_glScissorArrayv;
PFNGLSCISSORINDEXEDPROC biz_glScissorIndexed;
PFNGLSCISSORINDEXEDVPROC biz_glScissorIndexedv;
PFNGLSECONDARYCOLORP3UIPROC biz_glSecondaryColorP3ui;
PFNGLSECONDARYCOLORP3UIVPROC biz_glSecondaryColorP3uiv;
PFNGLSHADERBINARYPROC biz_glShaderBinary;
PFNGLSHADERSOURCEPROC biz_glShaderSource;
PFNGLSHADERSTORAGEBLOCKBINDINGPROC biz_glShaderStorageBlockBinding;
PFNGLSTENCILFUNCPROC biz_glStencilFunc;
PFNGLSTENCILFUNCSEPARATEPROC biz_glStencilFuncSeparate;
PFNGLSTENCILMASKPROC biz_glStencilMask;
PFNGLSTENCILMASKSEPARATEPROC biz_glStencilMaskSeparate;
PFNGLSTENCILOPPROC biz_glStencilOp;
PFNGLSTENCILOPSEPARATEPROC biz_glStencilOpSeparate;
PFNGLTEXBUFFERPROC biz_glTexBuffer;
PFNGLTEXBUFFERRANGEPROC biz_glTexBufferRange;
PFNGLTEXCOORDP1UIPROC biz_glTexCoordP1ui;
PFNGLTEXCOORDP1UIVPROC biz_glTexCoordP1uiv;
PFNGLTEXCOORDP2UIPROC biz_glTexCoordP2ui;
PFNGLTEXCOORDP2UIVPROC biz_glTexCoordP2uiv;
PFNGLTEXCOORDP3UIPROC biz_glTexCoordP3ui;
PFNGLTEXCOORDP3UIVPROC biz_glTexCoordP3uiv;
PFNGLTEXCOORDP4UIPROC biz_glTexCoordP4ui;
PFNGLTEXCOORDP4UIVPROC biz_glTexCoordP4uiv;
PFNGLTEXIMAGE1DPROC biz_glTexImage1D;
PFNGLTEXIMAGE2DPROC biz_glTexImage2D;
PFNGLTEXIMAGE2DMULTISAMPLEPROC biz_glTexImage2DMultisample;
PFNGLTEXIMAGE3DPROC biz_glTexImage3D;
PFNGLTEXIMAGE3DMULTISAMPLEPROC biz_glTexImage3DMultisample;
PFNGLTEXPARAMETERIIVPROC biz_glTexParameterIiv;
PFNGLTEXPARAMETERIUIVPROC biz_glTexParameterIuiv;
PFNGLTEXPARAMETERFPROC biz_glTexParameterf;
PFNGLTEXPARAMETERFVPROC biz_glTexParameterfv;
PFNGLTEXPARAMETERIPROC biz_glTexParameteri;
PFNGLTEXPARAMETERIVPROC biz_glTexParameteriv;
PFNGLTEXSTORAGE1DPROC biz_glTexStorage1D;
PFNGLTEXSTORAGE2DPROC biz_glTexStorage2D;
PFNGLTEXSTORAGE2DMULTISAMPLEPROC biz_glTexStorage2DMultisample;
PFNGLTEXSTORAGE3DPROC biz_glTexStorage3D;
PFNGLTEXSTORAGE3DMULTISAMPLEPROC biz_glTexStorage3DMultisample;
PFNGLTEXSUBIMAGE1DPROC biz_glTexSubImage1D;
PFNGLTEXSUBIMAGE2DPROC biz_glTexSubImage2D;
PFNGLTEXSUBIMAGE3DPROC biz_glTexSubImage3D;
PFNGLTEXTUREVIEWPROC biz_glTextureView;
PFNGLTRANSFORMFEEDBACKVARYINGSPROC biz_glTransformFeedbackVaryings;
PFNGLUNIFORM1DPROC biz_glUniform1d;
PFNGLUNIFORM1DVPROC biz_glUniform1dv;
PFNGLUNIFORM1FPROC biz_glUniform1f;
PFNGLUNIFORM1FVPROC biz_glUniform1fv;
PFNGLUNIFORM1IPROC biz_glUniform1i;
PFNGLUNIFORM1IVPROC biz_glUniform1iv;
PFNGLUNIFORM1UIPROC biz_glUniform1ui;
PFNGLUNIFORM1UIVPROC biz_glUniform1uiv;
PFNGLUNIFORM2DPROC biz_glUniform2d;
PFNGLUNIFORM2DVPROC biz_glUniform2dv;
PFNGLUNIFORM2FPROC biz_glUniform2f;
PFNGLUNIFORM2FVPROC biz_glUniform2fv;
PFNGLUNIFORM2IPROC biz_glUniform2i;
PFNGLUNIFORM2IVPROC biz_glUniform2iv;
PFNGLUNIFORM2UIPROC biz_glUniform2ui;
PFNGLUNIFORM2UIVPROC biz_glUniform2uiv;
PFNGLUNIFORM3DPROC biz_glUniform3d;
PFNGLUNIFORM3DVPROC biz_glUniform3dv;
PFNGLUNIFORM3FPROC biz_glUniform3f;
PFNGLUNIFORM3FVPROC biz_glUniform3fv;
PFNGLUNIFORM3IPROC biz_glUniform3i;
PFNGLUNIFORM3IVPROC biz_glUniform3iv;
PFNGLUNIFORM3UIPROC biz_glUniform3ui;
PFNGLUNIFORM3UIVPROC biz_glUniform3uiv;
PFNGLUNIFORM4DPROC biz_glUniform4d;
PFNGLUNIFORM4DVPROC biz_glUniform4dv;
PFNGLUNIFORM4FPROC biz_glUniform4f;
PFNGLUNIFORM4FVPROC biz_glUniform4fv;
PFNGLUNIFORM4IPROC biz_glUniform4i;
PFNGLUNIFORM4IVPROC biz_glUniform4iv;
PFNGLUNIFORM4UIPROC biz_glUniform4ui;
PFNGLUNIFORM4UIVPROC biz_glUniform4uiv;
PFNGLUNIFORMBLOCKBINDINGPROC biz_glUniformBlockBinding;
PFNGLUNIFORMMATRIX2DVPROC biz_glUniformMatrix2dv;
PFNGLUNIFORMMATRIX2FVPROC biz_glUniformMatrix2fv;
PFNGLUNIFORMMATRIX2X3DVPROC biz_glUniformMatrix2x3dv;
PFNGLUNIFORMMATRIX2X3FVPROC biz_glUniformMatrix2x3fv;
PFNGLUNIFORMMATRIX2X4DVPROC biz_glUniformMatrix2x4dv;
PFNGLUNIFORMMATRIX2X4FVPROC biz_glUniformMatrix2x4fv;
PFNGLUNIFORMMATRIX3DVPROC biz_glUniformMatrix3dv;
PFNGLUNIFORMMATRIX3FVPROC biz_glUniformMatrix3fv;
PFNGLUNIFORMMATRIX3X2DVPROC biz_glUniformMatrix3x2dv;
PFNGLUNIFORMMATRIX3X2FVPROC biz_glUniformMatrix3x2fv;
PFNGLUNIFORMMATRIX3X4DVPROC biz_glUniformMatrix3x4dv;
PFNGLUNIFORMMATRIX3X4FVPROC biz_glUniformMatrix3x4fv;
PFNGLUNIFORMMATRIX4DVPROC biz_glUniformMatrix4dv;
PFNGLUNIFORMMATRIX4FVPROC biz_glUniformMatrix4fv;
PFNGLUNIFORMMATRIX4X2DVPROC biz_glUniformMatrix4x2dv;
PFNGLUNIFORMMATRIX4X2FVPROC biz_glUniformMatrix4x2fv;
PFNGLUNIFORMMATRIX4X3DVPROC biz_glUniformMatrix4x3dv;
PFNGLUNIFORMMATRIX4X3FVPROC biz_glUniformMatrix4x3fv;
PFNGLUNIFORMSUBROUTINESUIVPROC biz_glUniformSubroutinesuiv;
PFNGLUNMAPBUFFERPROC biz_glUnmapBuffer;
PFNGLUSEPROGRAMPROC biz_glUseProgram;
PFNGLUSEPROGRAMSTAGESPROC biz_glUseProgramStages;
PFNGLVALIDATEPROGRAMPROC biz_glValidateProgram;
PFNGLVALIDATEPROGRAMPIPELINEPROC biz_glValidateProgramPipeline;
PFNGLVERTEXATTRIB1DPROC biz_glVertexAttrib1d;
PFNGLVERTEXATTRIB1DVPROC biz_glVertexAttrib1dv;
PFNGLVERTEXATTRIB1FPROC biz_glVertexAttrib1f;
PFNGLVERTEXATTRIB1FVPROC biz_glVertexAttrib1fv;
PFNGLVERTEXATTRIB1SPROC biz_glVertexAttrib1s;
PFNGLVERTEXATTRIB1SVPROC biz_glVertexAttrib1sv;
PFNGLVERTEXATTRIB2DPROC biz_glVertexAttrib2d;
PFNGLVERTEXATTRIB2DVPROC biz_glVertexAttrib2dv;
PFNGLVERTEXATTRIB2FPROC biz_glVertexAttrib2f;
PFNGLVERTEXATTRIB2FVPROC biz_glVertexAttrib2fv;
PFNGLVERTEXATTRIB2SPROC biz_glVertexAttrib2s;
PFNGLVERTEXATTRIB2SVPROC biz_glVertexAttrib2sv;
PFNGLVERTEXATTRIB3DPROC biz_glVertexAttrib3d;
PFNGLVERTEXATTRIB3DVPROC biz_glVertexAttrib3dv;
PFNGLVERTEXATTRIB3FPROC biz_glVertexAttrib3f;
PFNGLVERTEXATTRIB3FVPROC biz_glVertexAttrib3fv;
PFNGLVERTEXATTRIB3SPROC biz_glVertexAttrib3s;
PFNGLVERTEXATTRIB3SVPROC biz_glVertexAttrib3sv;
PFNGLVERTEXATTRIB4NBVPROC biz_glVertexAttrib4Nbv;
PFNGLVERTEXATTRIB4NIVPROC biz_glVertexAttrib4Niv;
PFNGLVERTEXATTRIB4NSVPROC biz_glVertexAttrib4Nsv;
PFNGLVERTEXATTRIB4NUBPROC biz_glVertexAttrib4Nub;
PFNGLVERTEXATTRIB4NUBVPROC biz_glVertexAttrib4Nubv;
PFNGLVERTEXATTRIB4NUIVPROC biz_glVertexAttrib4Nuiv;
PFNGLVERTEXATTRIB4NUSVPROC biz_glVertexAttrib4Nusv;
PFNGLVERTEXATTRIB4BVPROC biz_glVertexAttrib4bv;
PFNGLVERTEXATTRIB4DPROC biz_glVertexAttrib4d;
PFNGLVERTEXATTRIB4DVPROC biz_glVertexAttrib4dv;
PFNGLVERTEXATTRIB4FPROC biz_glVertexAttrib4f;
PFNGLVERTEXATTRIB4FVPROC biz_glVertexAttrib4fv;
PFNGLVERTEXATTRIB4IVPROC biz_glVertexAttrib4iv;
PFNGLVERTEXATTRIB4SPROC biz_glVertexAttrib4s;
PFNGLVERTEXATTRIB4SVPROC biz_glVertexAttrib4sv;
PFNGLVERTEXATTRIB4UBVPROC biz_glVertexAttrib4ubv;
PFNGLVERTEXATTRIB4UIVPROC biz_glVertexAttrib4uiv;
PFNGLVERTEXATTRIB4USVPROC biz_glVertexAttrib4usv;
PFNGLVERTEXATTRIBBINDINGPROC biz_glVertexAttribBinding;
PFNGLVERTEXATTRIBDIVISORPROC biz_glVertexAttribDivisor;
PFNGLVERTEXATTRIBFORMATPROC biz_glVertexAttribFormat;
PFNGLVERTEXATTRIBI1IPROC biz_glVertexAttribI1i;
PFNGLVERTEXATTRIBI1IVPROC biz_glVertexAttribI1iv;
PFNGLVERTEXATTRIBI1UIPROC biz_glVertexAttribI1ui;
PFNGLVERTEXATTRIBI1UIVPROC biz_glVertexAttribI1uiv;
PFNGLVERTEXATTRIBI2IPROC biz_glVertexAttribI2i;
PFNGLVERTEXATTRIBI2IVPROC biz_glVertexAttribI2iv;
PFNGLVERTEXATTRIBI2UIPROC biz_glVertexAttribI2ui;
PFNGLVERTEXATTRIBI2UIVPROC biz_glVertexAttribI2uiv;
PFNGLVERTEXATTRIBI3IPROC biz_glVertexAttribI3i;
PFNGLVERTEXATTRIBI3IVPROC biz_glVertexAttribI3iv;
PFNGLVERTEXATTRIBI3UIPROC biz_glVertexAttribI3ui;
PFNGLVERTEXATTRIBI3UIVPROC biz_glVertexAttribI3uiv;
PFNGLVERTEXATTRIBI4BVPROC biz_glVertexAttribI4bv;
PFNGLVERTEXATTRIBI4IPROC biz_glVertexAttribI4i;
PFNGLVERTEXATTRIBI4IVPROC biz_glVertexAttribI4iv;
PFNGLVERTEXATTRIBI4SVPROC biz_glVertexAttribI4sv;
PFNGLVERTEXATTRIBI4UBVPROC biz_glVertexAttribI4ubv;
PFNGLVERTEXATTRIBI4UIPROC biz_glVertexAttribI4ui;
PFNGLVERTEXATTRIBI4UIVPROC biz_glVertexAttribI4uiv;
PFNGLVERTEXATTRIBI4USVPROC biz_glVertexAttribI4usv;
PFNGLVERTEXATTRIBIFORMATPROC biz_glVertexAttribIFormat;
PFNGLVERTEXATTRIBIPOINTERPROC biz_glVertexAttribIPointer;
PFNGLVERTEXATTRIBL1DPROC biz_glVertexAttribL1d;
PFNGLVERTEXATTRIBL1DVPROC biz_glVertexAttribL1dv;
PFNGLVERTEXATTRIBL2DPROC biz_glVertexAttribL2d;
PFNGLVERTEXATTRIBL2DVPROC biz_glVertexAttribL2dv;
PFNGLVERTEXATTRIBL3DPROC biz_glVertexAttribL3d;
PFNGLVERTEXATTRIBL3DVPROC biz_glVertexAttribL3dv;
PFNGLVERTEXATTRIBL4DPROC biz_glVertexAttribL4d;
PFNGLVERTEXATTRIBL4DVPROC biz_glVertexAttribL4dv;
PFNGLVERTEXATTRIBLFORMATPROC biz_glVertexAttribLFormat;
PFNGLVERTEXATTRIBLPOINTERPROC biz_glVertexAttribLPointer;
PFNGLVERTEXATTRIBP1UIPROC biz_glVertexAttribP1ui;
PFNGLVERTEXATTRIBP1UIVPROC biz_glVertexAttribP1uiv;
PFNGLVERTEXATTRIBP2UIPROC biz_glVertexAttribP2ui;
PFNGLVERTEXATTRIBP2UIVPROC biz_glVertexAttribP2uiv;
PFNGLVERTEXATTRIBP3UIPROC biz_glVertexAttribP3ui;
PFNGLVERTEXATTRIBP3UIVPROC biz_glVertexAttribP3uiv;
PFNGLVERTEXATTRIBP4UIPROC biz_glVertexAttribP4ui;
PFNGLVERTEXATTRIBP4UIVPROC biz_glVertexAttribP4uiv;
PFNGLVERTEXATTRIBPOINTERPROC biz_glVertexAttribPointer;
PFNGLVERTEXBINDINGDIVISORPROC biz_glVertexBindingDivisor;
PFNGLVERTEXP2UIPROC biz_glVertexP2ui;
PFNGLVERTEXP2UIVPROC biz_glVertexP2uiv;
PFNGLVERTEXP3UIPROC biz_glVertexP3ui;
PFNGLVERTEXP3UIVPROC biz_glVertexP3uiv;
PFNGLVERTEXP4UIPROC biz_glVertexP4ui;
PFNGLVERTEXP4UIVPROC biz_glVertexP4uiv;
PFNGLVIEWPORTPROC biz_glViewport;
PFNGLVIEWPORTARRAYVPROC biz_glViewportArrayv;
PFNGLVIEWPORTINDEXEDFPROC biz_glViewportIndexedf;
PFNGLVIEWPORTINDEXEDFVPROC biz_glViewportIndexedfv;
PFNGLWAITSYNCPROC biz_glWaitSync;

namespace BizOGL
{

static void LoadGL3_1(LoadGLProc load)
{
	// 1.0
	biz_glCullFace = (PFNGLCULLFACEPROC)load("glCullFace");
	biz_glFrontFace = (PFNGLFRONTFACEPROC)load("glFrontFace");
	biz_glHint = (PFNGLHINTPROC)load("glHint");
	biz_glLineWidth = (PFNGLLINEWIDTHPROC)load("glLineWidth");
	biz_glPointSize = (PFNGLPOINTSIZEPROC)load("glPointSize");
	biz_glPolygonMode = (PFNGLPOLYGONMODEPROC)load("glPolygonMode");
	biz_glScissor = (PFNGLSCISSORPROC)load("glScissor");
	biz_glTexParameterf = (PFNGLTEXPARAMETERFPROC)load("glTexParameterf");
	biz_glTexParameterfv = (PFNGLTEXPARAMETERFVPROC)load("glTexParameterfv");
	biz_glTexParameteri = (PFNGLTEXPARAMETERIPROC)load("glTexParameteri");
	biz_glTexParameteriv = (PFNGLTEXPARAMETERIVPROC)load("glTexParameteriv");
	biz_glTexImage1D = (PFNGLTEXIMAGE1DPROC)load("glTexImage1D");
	biz_glTexImage2D = (PFNGLTEXIMAGE2DPROC)load("glTexImage2D");
	biz_glDrawBuffer = (PFNGLDRAWBUFFERPROC)load("glDrawBuffer");
	biz_glClear = (PFNGLCLEARPROC)load("glClear");
	biz_glClearColor = (PFNGLCLEARCOLORPROC)load("glClearColor");
	biz_glClearStencil = (PFNGLCLEARSTENCILPROC)load("glClearStencil");
	biz_glClearDepth = (PFNGLCLEARDEPTHPROC)load("glClearDepth");
	biz_glStencilMask = (PFNGLSTENCILMASKPROC)load("glStencilMask");
	biz_glColorMask = (PFNGLCOLORMASKPROC)load("glColorMask");
	biz_glDepthMask = (PFNGLDEPTHMASKPROC)load("glDepthMask");
	biz_glDisable = (PFNGLDISABLEPROC)load("glDisable");
	biz_glEnable = (PFNGLENABLEPROC)load("glEnable");
	biz_glFinish = (PFNGLFINISHPROC)load("glFinish");
	biz_glFlush = (PFNGLFLUSHPROC)load("glFlush");
	biz_glBlendFunc = (PFNGLBLENDFUNCPROC)load("glBlendFunc");
	biz_glLogicOp = (PFNGLLOGICOPPROC)load("glLogicOp");
	biz_glStencilFunc = (PFNGLSTENCILFUNCPROC)load("glStencilFunc");
	biz_glStencilOp = (PFNGLSTENCILOPPROC)load("glStencilOp");
	biz_glDepthFunc = (PFNGLDEPTHFUNCPROC)load("glDepthFunc");
	biz_glPixelStoref = (PFNGLPIXELSTOREFPROC)load("glPixelStoref");
	biz_glPixelStorei = (PFNGLPIXELSTOREIPROC)load("glPixelStorei");
	biz_glReadBuffer = (PFNGLREADBUFFERPROC)load("glReadBuffer");
	biz_glReadPixels = (PFNGLREADPIXELSPROC)load("glReadPixels");
	biz_glGetBooleanv = (PFNGLGETBOOLEANVPROC)load("glGetBooleanv");
	biz_glGetDoublev = (PFNGLGETDOUBLEVPROC)load("glGetDoublev");
	biz_glGetError = (PFNGLGETERRORPROC)load("glGetError");
	biz_glGetFloatv = (PFNGLGETFLOATVPROC)load("glGetFloatv");
	biz_glGetIntegerv = (PFNGLGETINTEGERVPROC)load("glGetIntegerv");
	biz_glGetString = (PFNGLGETSTRINGPROC)load("glGetString");
	biz_glGetTexImage = (PFNGLGETTEXIMAGEPROC)load("glGetTexImage");
	biz_glGetTexParameterfv = (PFNGLGETTEXPARAMETERFVPROC)load("glGetTexParameterfv");
	biz_glGetTexParameteriv = (PFNGLGETTEXPARAMETERIVPROC)load("glGetTexParameteriv");
	biz_glGetTexLevelParameterfv = (PFNGLGETTEXLEVELPARAMETERFVPROC)load("glGetTexLevelParameterfv");
	biz_glGetTexLevelParameteriv = (PFNGLGETTEXLEVELPARAMETERIVPROC)load("glGetTexLevelParameteriv");
	biz_glIsEnabled = (PFNGLISENABLEDPROC)load("glIsEnabled");
	biz_glDepthRange = (PFNGLDEPTHRANGEPROC)load("glDepthRange");
	biz_glViewport = (PFNGLVIEWPORTPROC)load("glViewport");

	// 1.1
	biz_glDrawArrays = (PFNGLDRAWARRAYSPROC)load("glDrawArrays");
	biz_glDrawElements = (PFNGLDRAWELEMENTSPROC)load("glDrawElements");
	biz_glPolygonOffset = (PFNGLPOLYGONOFFSETPROC)load("glPolygonOffset");
	biz_glCopyTexImage1D = (PFNGLCOPYTEXIMAGE1DPROC)load("glCopyTexImage1D");
	biz_glCopyTexImage2D = (PFNGLCOPYTEXIMAGE2DPROC)load("glCopyTexImage2D");
	biz_glCopyTexSubImage1D = (PFNGLCOPYTEXSUBIMAGE1DPROC)load("glCopyTexSubImage1D");
	biz_glCopyTexSubImage2D = (PFNGLCOPYTEXSUBIMAGE2DPROC)load("glCopyTexSubImage2D");
	biz_glTexSubImage1D = (PFNGLTEXSUBIMAGE1DPROC)load("glTexSubImage1D");
	biz_glTexSubImage2D = (PFNGLTEXSUBIMAGE2DPROC)load("glTexSubImage2D");
	biz_glBindTexture = (PFNGLBINDTEXTUREPROC)load("glBindTexture");
	biz_glDeleteTextures = (PFNGLDELETETEXTURESPROC)load("glDeleteTextures");
	biz_glGenTextures = (PFNGLGENTEXTURESPROC)load("glGenTextures");
	biz_glIsTexture = (PFNGLISTEXTUREPROC)load("glIsTexture");

	// 1.2
	biz_glDrawRangeElements = (PFNGLDRAWRANGEELEMENTSPROC)load("glDrawRangeElements");
	biz_glTexImage3D = (PFNGLTEXIMAGE3DPROC)load("glTexImage3D");
	biz_glTexSubImage3D = (PFNGLTEXSUBIMAGE3DPROC)load("glTexSubImage3D");
	biz_glCopyTexSubImage3D = (PFNGLCOPYTEXSUBIMAGE3DPROC)load("glCopyTexSubImage3D");

	// 1.3
	biz_glActiveTexture = (PFNGLACTIVETEXTUREPROC)load("glActiveTexture");
	biz_glSampleCoverage = (PFNGLSAMPLECOVERAGEPROC)load("glSampleCoverage");
	biz_glCompressedTexImage3D = (PFNGLCOMPRESSEDTEXIMAGE3DPROC)load("glCompressedTexImage3D");
	biz_glCompressedTexImage2D = (PFNGLCOMPRESSEDTEXIMAGE2DPROC)load("glCompressedTexImage2D");
	biz_glCompressedTexImage1D = (PFNGLCOMPRESSEDTEXIMAGE1DPROC)load("glCompressedTexImage1D");
	biz_glCompressedTexSubImage3D = (PFNGLCOMPRESSEDTEXSUBIMAGE3DPROC)load("glCompressedTexSubImage3D");
	biz_glCompressedTexSubImage2D = (PFNGLCOMPRESSEDTEXSUBIMAGE2DPROC)load("glCompressedTexSubImage2D");
	biz_glCompressedTexSubImage1D = (PFNGLCOMPRESSEDTEXSUBIMAGE1DPROC)load("glCompressedTexSubImage1D");
	biz_glGetCompressedTexImage = (PFNGLGETCOMPRESSEDTEXIMAGEPROC)load("glGetCompressedTexImage");

	// 1.4
	biz_glBlendFuncSeparate = (PFNGLBLENDFUNCSEPARATEPROC)load("glBlendFuncSeparate");
	biz_glMultiDrawArrays = (PFNGLMULTIDRAWARRAYSPROC)load("glMultiDrawArrays");
	biz_glMultiDrawElements = (PFNGLMULTIDRAWELEMENTSPROC)load("glMultiDrawElements");
	biz_glPointParameterf = (PFNGLPOINTPARAMETERFPROC)load("glPointParameterf");
	biz_glPointParameterfv = (PFNGLPOINTPARAMETERFVPROC)load("glPointParameterfv");
	biz_glPointParameteri = (PFNGLPOINTPARAMETERIPROC)load("glPointParameteri");
	biz_glPointParameteriv = (PFNGLPOINTPARAMETERIVPROC)load("glPointParameteriv");
	biz_glBlendColor = (PFNGLBLENDCOLORPROC)load("glBlendColor");
	biz_glBlendEquation = (PFNGLBLENDEQUATIONPROC)load("glBlendEquation");

	// 1.5
	biz_glGenQueries = (PFNGLGENQUERIESPROC)load("glGenQueries");
	biz_glDeleteQueries = (PFNGLDELETEQUERIESPROC)load("glDeleteQueries");
	biz_glIsQuery = (PFNGLISQUERYPROC)load("glIsQuery");
	biz_glBeginQuery = (PFNGLBEGINQUERYPROC)load("glBeginQuery");
	biz_glEndQuery = (PFNGLENDQUERYPROC)load("glEndQuery");
	biz_glGetQueryiv = (PFNGLGETQUERYIVPROC)load("glGetQueryiv");
	biz_glGetQueryObjectiv = (PFNGLGETQUERYOBJECTIVPROC)load("glGetQueryObjectiv");
	biz_glGetQueryObjectuiv = (PFNGLGETQUERYOBJECTUIVPROC)load("glGetQueryObjectuiv");
	biz_glBindBuffer = (PFNGLBINDBUFFERPROC)load("glBindBuffer");
	biz_glDeleteBuffers = (PFNGLDELETEBUFFERSPROC)load("glDeleteBuffers");
	biz_glGenBuffers = (PFNGLGENBUFFERSPROC)load("glGenBuffers");
	biz_glIsBuffer = (PFNGLISBUFFERPROC)load("glIsBuffer");
	biz_glBufferData = (PFNGLBUFFERDATAPROC)load("glBufferData");
	biz_glBufferSubData = (PFNGLBUFFERSUBDATAPROC)load("glBufferSubData");
	biz_glGetBufferSubData = (PFNGLGETBUFFERSUBDATAPROC)load("glGetBufferSubData");
	biz_glMapBuffer = (PFNGLMAPBUFFERPROC)load("glMapBuffer");
	biz_glUnmapBuffer = (PFNGLUNMAPBUFFERPROC)load("glUnmapBuffer");
	biz_glGetBufferParameteriv = (PFNGLGETBUFFERPARAMETERIVPROC)load("glGetBufferParameteriv");
	biz_glGetBufferPointerv = (PFNGLGETBUFFERPOINTERVPROC)load("glGetBufferPointerv");

	// 2.0
	biz_glBlendEquationSeparate = (PFNGLBLENDEQUATIONSEPARATEPROC)load("glBlendEquationSeparate");
	biz_glDrawBuffers = (PFNGLDRAWBUFFERSPROC)load("glDrawBuffers");
	biz_glStencilOpSeparate = (PFNGLSTENCILOPSEPARATEPROC)load("glStencilOpSeparate");
	biz_glStencilFuncSeparate = (PFNGLSTENCILFUNCSEPARATEPROC)load("glStencilFuncSeparate");
	biz_glStencilMaskSeparate = (PFNGLSTENCILMASKSEPARATEPROC)load("glStencilMaskSeparate");
	biz_glAttachShader = (PFNGLATTACHSHADERPROC)load("glAttachShader");
	biz_glBindAttribLocation = (PFNGLBINDATTRIBLOCATIONPROC)load("glBindAttribLocation");
	biz_glCompileShader = (PFNGLCOMPILESHADERPROC)load("glCompileShader");
	biz_glCreateProgram = (PFNGLCREATEPROGRAMPROC)load("glCreateProgram");
	biz_glCreateShader = (PFNGLCREATESHADERPROC)load("glCreateShader");
	biz_glDeleteProgram = (PFNGLDELETEPROGRAMPROC)load("glDeleteProgram");
	biz_glDeleteShader = (PFNGLDELETESHADERPROC)load("glDeleteShader");
	biz_glDetachShader = (PFNGLDETACHSHADERPROC)load("glDetachShader");
	biz_glDisableVertexAttribArray = (PFNGLDISABLEVERTEXATTRIBARRAYPROC)load("glDisableVertexAttribArray");
	biz_glEnableVertexAttribArray = (PFNGLENABLEVERTEXATTRIBARRAYPROC)load("glEnableVertexAttribArray");
	biz_glGetActiveAttrib = (PFNGLGETACTIVEATTRIBPROC)load("glGetActiveAttrib");
	biz_glGetActiveUniform = (PFNGLGETACTIVEUNIFORMPROC)load("glGetActiveUniform");
	biz_glGetAttachedShaders = (PFNGLGETATTACHEDSHADERSPROC)load("glGetAttachedShaders");
	biz_glGetAttribLocation = (PFNGLGETATTRIBLOCATIONPROC)load("glGetAttribLocation");
	biz_glGetProgramiv = (PFNGLGETPROGRAMIVPROC)load("glGetProgramiv");
	biz_glGetProgramInfoLog = (PFNGLGETPROGRAMINFOLOGPROC)load("glGetProgramInfoLog");
	biz_glGetShaderiv = (PFNGLGETSHADERIVPROC)load("glGetShaderiv");
	biz_glGetShaderInfoLog = (PFNGLGETSHADERINFOLOGPROC)load("glGetShaderInfoLog");
	biz_glGetShaderSource = (PFNGLGETSHADERSOURCEPROC)load("glGetShaderSource");
	biz_glGetUniformLocation = (PFNGLGETUNIFORMLOCATIONPROC)load("glGetUniformLocation");
	biz_glGetUniformfv = (PFNGLGETUNIFORMFVPROC)load("glGetUniformfv");
	biz_glGetUniformiv = (PFNGLGETUNIFORMIVPROC)load("glGetUniformiv");
	biz_glGetVertexAttribdv = (PFNGLGETVERTEXATTRIBDVPROC)load("glGetVertexAttribdv");
	biz_glGetVertexAttribfv = (PFNGLGETVERTEXATTRIBFVPROC)load("glGetVertexAttribfv");
	biz_glGetVertexAttribiv = (PFNGLGETVERTEXATTRIBIVPROC)load("glGetVertexAttribiv");
	biz_glGetVertexAttribPointerv = (PFNGLGETVERTEXATTRIBPOINTERVPROC)load("glGetVertexAttribPointerv");
	biz_glIsProgram = (PFNGLISPROGRAMPROC)load("glIsProgram");
	biz_glIsShader = (PFNGLISSHADERPROC)load("glIsShader");
	biz_glLinkProgram = (PFNGLLINKPROGRAMPROC)load("glLinkProgram");
	biz_glShaderSource = (PFNGLSHADERSOURCEPROC)load("glShaderSource");
	biz_glUseProgram = (PFNGLUSEPROGRAMPROC)load("glUseProgram");
	biz_glUniform1f = (PFNGLUNIFORM1FPROC)load("glUniform1f");
	biz_glUniform2f = (PFNGLUNIFORM2FPROC)load("glUniform2f");
	biz_glUniform3f = (PFNGLUNIFORM3FPROC)load("glUniform3f");
	biz_glUniform4f = (PFNGLUNIFORM4FPROC)load("glUniform4f");
	biz_glUniform1i = (PFNGLUNIFORM1IPROC)load("glUniform1i");
	biz_glUniform2i = (PFNGLUNIFORM2IPROC)load("glUniform2i");
	biz_glUniform3i = (PFNGLUNIFORM3IPROC)load("glUniform3i");
	biz_glUniform4i = (PFNGLUNIFORM4IPROC)load("glUniform4i");
	biz_glUniform1fv = (PFNGLUNIFORM1FVPROC)load("glUniform1fv");
	biz_glUniform2fv = (PFNGLUNIFORM2FVPROC)load("glUniform2fv");
	biz_glUniform3fv = (PFNGLUNIFORM3FVPROC)load("glUniform3fv");
	biz_glUniform4fv = (PFNGLUNIFORM4FVPROC)load("glUniform4fv");
	biz_glUniform1iv = (PFNGLUNIFORM1IVPROC)load("glUniform1iv");
	biz_glUniform2iv = (PFNGLUNIFORM2IVPROC)load("glUniform2iv");
	biz_glUniform3iv = (PFNGLUNIFORM3IVPROC)load("glUniform3iv");
	biz_glUniform4iv = (PFNGLUNIFORM4IVPROC)load("glUniform4iv");
	biz_glUniformMatrix2fv = (PFNGLUNIFORMMATRIX2FVPROC)load("glUniformMatrix2fv");
	biz_glUniformMatrix3fv = (PFNGLUNIFORMMATRIX3FVPROC)load("glUniformMatrix3fv");
	biz_glUniformMatrix4fv = (PFNGLUNIFORMMATRIX4FVPROC)load("glUniformMatrix4fv");
	biz_glValidateProgram = (PFNGLVALIDATEPROGRAMPROC)load("glValidateProgram");
	biz_glVertexAttrib1d = (PFNGLVERTEXATTRIB1DPROC)load("glVertexAttrib1d");
	biz_glVertexAttrib1dv = (PFNGLVERTEXATTRIB1DVPROC)load("glVertexAttrib1dv");
	biz_glVertexAttrib1f = (PFNGLVERTEXATTRIB1FPROC)load("glVertexAttrib1f");
	biz_glVertexAttrib1fv = (PFNGLVERTEXATTRIB1FVPROC)load("glVertexAttrib1fv");
	biz_glVertexAttrib1s = (PFNGLVERTEXATTRIB1SPROC)load("glVertexAttrib1s");
	biz_glVertexAttrib1sv = (PFNGLVERTEXATTRIB1SVPROC)load("glVertexAttrib1sv");
	biz_glVertexAttrib2d = (PFNGLVERTEXATTRIB2DPROC)load("glVertexAttrib2d");
	biz_glVertexAttrib2dv = (PFNGLVERTEXATTRIB2DVPROC)load("glVertexAttrib2dv");
	biz_glVertexAttrib2f = (PFNGLVERTEXATTRIB2FPROC)load("glVertexAttrib2f");
	biz_glVertexAttrib2fv = (PFNGLVERTEXATTRIB2FVPROC)load("glVertexAttrib2fv");
	biz_glVertexAttrib2s = (PFNGLVERTEXATTRIB2SPROC)load("glVertexAttrib2s");
	biz_glVertexAttrib2sv = (PFNGLVERTEXATTRIB2SVPROC)load("glVertexAttrib2sv");
	biz_glVertexAttrib3d = (PFNGLVERTEXATTRIB3DPROC)load("glVertexAttrib3d");
	biz_glVertexAttrib3dv = (PFNGLVERTEXATTRIB3DVPROC)load("glVertexAttrib3dv");
	biz_glVertexAttrib3f = (PFNGLVERTEXATTRIB3FPROC)load("glVertexAttrib3f");
	biz_glVertexAttrib3fv = (PFNGLVERTEXATTRIB3FVPROC)load("glVertexAttrib3fv");
	biz_glVertexAttrib3s = (PFNGLVERTEXATTRIB3SPROC)load("glVertexAttrib3s");
	biz_glVertexAttrib3sv = (PFNGLVERTEXATTRIB3SVPROC)load("glVertexAttrib3sv");
	biz_glVertexAttrib4Nbv = (PFNGLVERTEXATTRIB4NBVPROC)load("glVertexAttrib4Nbv");
	biz_glVertexAttrib4Niv = (PFNGLVERTEXATTRIB4NIVPROC)load("glVertexAttrib4Niv");
	biz_glVertexAttrib4Nsv = (PFNGLVERTEXATTRIB4NSVPROC)load("glVertexAttrib4Nsv");
	biz_glVertexAttrib4Nub = (PFNGLVERTEXATTRIB4NUBPROC)load("glVertexAttrib4Nub");
	biz_glVertexAttrib4Nubv = (PFNGLVERTEXATTRIB4NUBVPROC)load("glVertexAttrib4Nubv");
	biz_glVertexAttrib4Nuiv = (PFNGLVERTEXATTRIB4NUIVPROC)load("glVertexAttrib4Nuiv");
	biz_glVertexAttrib4Nusv = (PFNGLVERTEXATTRIB4NUSVPROC)load("glVertexAttrib4Nusv");
	biz_glVertexAttrib4bv = (PFNGLVERTEXATTRIB4BVPROC)load("glVertexAttrib4bv");
	biz_glVertexAttrib4d = (PFNGLVERTEXATTRIB4DPROC)load("glVertexAttrib4d");
	biz_glVertexAttrib4dv = (PFNGLVERTEXATTRIB4DVPROC)load("glVertexAttrib4dv");
	biz_glVertexAttrib4f = (PFNGLVERTEXATTRIB4FPROC)load("glVertexAttrib4f");
	biz_glVertexAttrib4fv = (PFNGLVERTEXATTRIB4FVPROC)load("glVertexAttrib4fv");
	biz_glVertexAttrib4iv = (PFNGLVERTEXATTRIB4IVPROC)load("glVertexAttrib4iv");
	biz_glVertexAttrib4s = (PFNGLVERTEXATTRIB4SPROC)load("glVertexAttrib4s");
	biz_glVertexAttrib4sv = (PFNGLVERTEXATTRIB4SVPROC)load("glVertexAttrib4sv");
	biz_glVertexAttrib4ubv = (PFNGLVERTEXATTRIB4UBVPROC)load("glVertexAttrib4ubv");
	biz_glVertexAttrib4uiv = (PFNGLVERTEXATTRIB4UIVPROC)load("glVertexAttrib4uiv");
	biz_glVertexAttrib4usv = (PFNGLVERTEXATTRIB4USVPROC)load("glVertexAttrib4usv");
	biz_glVertexAttribPointer = (PFNGLVERTEXATTRIBPOINTERPROC)load("glVertexAttribPointer");

	// 2.1
	biz_glUniformMatrix2x3fv = (PFNGLUNIFORMMATRIX2X3FVPROC)load("glUniformMatrix2x3fv");
	biz_glUniformMatrix3x2fv = (PFNGLUNIFORMMATRIX3X2FVPROC)load("glUniformMatrix3x2fv");
	biz_glUniformMatrix2x4fv = (PFNGLUNIFORMMATRIX2X4FVPROC)load("glUniformMatrix2x4fv");
	biz_glUniformMatrix4x2fv = (PFNGLUNIFORMMATRIX4X2FVPROC)load("glUniformMatrix4x2fv");
	biz_glUniformMatrix3x4fv = (PFNGLUNIFORMMATRIX3X4FVPROC)load("glUniformMatrix3x4fv");
	biz_glUniformMatrix4x3fv = (PFNGLUNIFORMMATRIX4X3FVPROC)load("glUniformMatrix4x3fv");

	// 3.0
	biz_glColorMaski = (PFNGLCOLORMASKIPROC)load("glColorMaski");
	biz_glGetBooleani_v = (PFNGLGETBOOLEANI_VPROC)load("glGetBooleani_v");
	biz_glGetIntegeri_v = (PFNGLGETINTEGERI_VPROC)load("glGetIntegeri_v");
	biz_glEnablei = (PFNGLENABLEIPROC)load("glEnablei");
	biz_glDisablei = (PFNGLDISABLEIPROC)load("glDisablei");
	biz_glIsEnabledi = (PFNGLISENABLEDIPROC)load("glIsEnabledi");
	biz_glBeginTransformFeedback = (PFNGLBEGINTRANSFORMFEEDBACKPROC)load("glBeginTransformFeedback");
	biz_glEndTransformFeedback = (PFNGLENDTRANSFORMFEEDBACKPROC)load("glEndTransformFeedback");
	biz_glBindBufferRange = (PFNGLBINDBUFFERRANGEPROC)load("glBindBufferRange");
	biz_glBindBufferBase = (PFNGLBINDBUFFERBASEPROC)load("glBindBufferBase");
	biz_glTransformFeedbackVaryings = (PFNGLTRANSFORMFEEDBACKVARYINGSPROC)load("glTransformFeedbackVaryings");
	biz_glGetTransformFeedbackVarying = (PFNGLGETTRANSFORMFEEDBACKVARYINGPROC)load("glGetTransformFeedbackVarying");
	biz_glClampColor = (PFNGLCLAMPCOLORPROC)load("glClampColor");
	biz_glBeginConditionalRender = (PFNGLBEGINCONDITIONALRENDERPROC)load("glBeginConditionalRender");
	biz_glEndConditionalRender = (PFNGLENDCONDITIONALRENDERPROC)load("glEndConditionalRender");
	biz_glVertexAttribIPointer = (PFNGLVERTEXATTRIBIPOINTERPROC)load("glVertexAttribIPointer");
	biz_glGetVertexAttribIiv = (PFNGLGETVERTEXATTRIBIIVPROC)load("glGetVertexAttribIiv");
	biz_glGetVertexAttribIuiv = (PFNGLGETVERTEXATTRIBIUIVPROC)load("glGetVertexAttribIuiv");
	biz_glVertexAttribI1i = (PFNGLVERTEXATTRIBI1IPROC)load("glVertexAttribI1i");
	biz_glVertexAttribI2i = (PFNGLVERTEXATTRIBI2IPROC)load("glVertexAttribI2i");
	biz_glVertexAttribI3i = (PFNGLVERTEXATTRIBI3IPROC)load("glVertexAttribI3i");
	biz_glVertexAttribI4i = (PFNGLVERTEXATTRIBI4IPROC)load("glVertexAttribI4i");
	biz_glVertexAttribI1ui = (PFNGLVERTEXATTRIBI1UIPROC)load("glVertexAttribI1ui");
	biz_glVertexAttribI2ui = (PFNGLVERTEXATTRIBI2UIPROC)load("glVertexAttribI2ui");
	biz_glVertexAttribI3ui = (PFNGLVERTEXATTRIBI3UIPROC)load("glVertexAttribI3ui");
	biz_glVertexAttribI4ui = (PFNGLVERTEXATTRIBI4UIPROC)load("glVertexAttribI4ui");
	biz_glVertexAttribI1iv = (PFNGLVERTEXATTRIBI1IVPROC)load("glVertexAttribI1iv");
	biz_glVertexAttribI2iv = (PFNGLVERTEXATTRIBI2IVPROC)load("glVertexAttribI2iv");
	biz_glVertexAttribI3iv = (PFNGLVERTEXATTRIBI3IVPROC)load("glVertexAttribI3iv");
	biz_glVertexAttribI4iv = (PFNGLVERTEXATTRIBI4IVPROC)load("glVertexAttribI4iv");
	biz_glVertexAttribI1uiv = (PFNGLVERTEXATTRIBI1UIVPROC)load("glVertexAttribI1uiv");
	biz_glVertexAttribI2uiv = (PFNGLVERTEXATTRIBI2UIVPROC)load("glVertexAttribI2uiv");
	biz_glVertexAttribI3uiv = (PFNGLVERTEXATTRIBI3UIVPROC)load("glVertexAttribI3uiv");
	biz_glVertexAttribI4uiv = (PFNGLVERTEXATTRIBI4UIVPROC)load("glVertexAttribI4uiv");
	biz_glVertexAttribI4bv = (PFNGLVERTEXATTRIBI4BVPROC)load("glVertexAttribI4bv");
	biz_glVertexAttribI4sv = (PFNGLVERTEXATTRIBI4SVPROC)load("glVertexAttribI4sv");
	biz_glVertexAttribI4ubv = (PFNGLVERTEXATTRIBI4UBVPROC)load("glVertexAttribI4ubv");
	biz_glVertexAttribI4usv = (PFNGLVERTEXATTRIBI4USVPROC)load("glVertexAttribI4usv");
	biz_glGetUniformuiv = (PFNGLGETUNIFORMUIVPROC)load("glGetUniformuiv");
	biz_glBindFragDataLocation = (PFNGLBINDFRAGDATALOCATIONPROC)load("glBindFragDataLocation");
	biz_glGetFragDataLocation = (PFNGLGETFRAGDATALOCATIONPROC)load("glGetFragDataLocation");
	biz_glUniform1ui = (PFNGLUNIFORM1UIPROC)load("glUniform1ui");
	biz_glUniform2ui = (PFNGLUNIFORM2UIPROC)load("glUniform2ui");
	biz_glUniform3ui = (PFNGLUNIFORM3UIPROC)load("glUniform3ui");
	biz_glUniform4ui = (PFNGLUNIFORM4UIPROC)load("glUniform4ui");
	biz_glUniform1uiv = (PFNGLUNIFORM1UIVPROC)load("glUniform1uiv");
	biz_glUniform2uiv = (PFNGLUNIFORM2UIVPROC)load("glUniform2uiv");
	biz_glUniform3uiv = (PFNGLUNIFORM3UIVPROC)load("glUniform3uiv");
	biz_glUniform4uiv = (PFNGLUNIFORM4UIVPROC)load("glUniform4uiv");
	biz_glTexParameterIiv = (PFNGLTEXPARAMETERIIVPROC)load("glTexParameterIiv");
	biz_glTexParameterIuiv = (PFNGLTEXPARAMETERIUIVPROC)load("glTexParameterIuiv");
	biz_glGetTexParameterIiv = (PFNGLGETTEXPARAMETERIIVPROC)load("glGetTexParameterIiv");
	biz_glGetTexParameterIuiv = (PFNGLGETTEXPARAMETERIUIVPROC)load("glGetTexParameterIuiv");
	biz_glClearBufferiv = (PFNGLCLEARBUFFERIVPROC)load("glClearBufferiv");
	biz_glClearBufferuiv = (PFNGLCLEARBUFFERUIVPROC)load("glClearBufferuiv");
	biz_glClearBufferfv = (PFNGLCLEARBUFFERFVPROC)load("glClearBufferfv");
	biz_glClearBufferfi = (PFNGLCLEARBUFFERFIPROC)load("glClearBufferfi");
	biz_glGetStringi = (PFNGLGETSTRINGIPROC)load("glGetStringi");
	biz_glIsRenderbuffer = (PFNGLISRENDERBUFFERPROC)load("glIsRenderbuffer");
	biz_glBindRenderbuffer = (PFNGLBINDRENDERBUFFERPROC)load("glBindRenderbuffer");
	biz_glDeleteRenderbuffers = (PFNGLDELETERENDERBUFFERSPROC)load("glDeleteRenderbuffers");
	biz_glGenRenderbuffers = (PFNGLGENRENDERBUFFERSPROC)load("glGenRenderbuffers");
	biz_glRenderbufferStorage = (PFNGLRENDERBUFFERSTORAGEPROC)load("glRenderbufferStorage");
	biz_glGetRenderbufferParameteriv = (PFNGLGETRENDERBUFFERPARAMETERIVPROC)load("glGetRenderbufferParameteriv");
	biz_glIsFramebuffer = (PFNGLISFRAMEBUFFERPROC)load("glIsFramebuffer");
	biz_glBindFramebuffer = (PFNGLBINDFRAMEBUFFERPROC)load("glBindFramebuffer");
	biz_glDeleteFramebuffers = (PFNGLDELETEFRAMEBUFFERSPROC)load("glDeleteFramebuffers");
	biz_glGenFramebuffers = (PFNGLGENFRAMEBUFFERSPROC)load("glGenFramebuffers");
	biz_glCheckFramebufferStatus = (PFNGLCHECKFRAMEBUFFERSTATUSPROC)load("glCheckFramebufferStatus");
	biz_glFramebufferTexture1D = (PFNGLFRAMEBUFFERTEXTURE1DPROC)load("glFramebufferTexture1D");
	biz_glFramebufferTexture2D = (PFNGLFRAMEBUFFERTEXTURE2DPROC)load("glFramebufferTexture2D");
	biz_glFramebufferTexture3D = (PFNGLFRAMEBUFFERTEXTURE3DPROC)load("glFramebufferTexture3D");
	biz_glFramebufferRenderbuffer = (PFNGLFRAMEBUFFERRENDERBUFFERPROC)load("glFramebufferRenderbuffer");
	biz_glGetFramebufferAttachmentParameteriv = (PFNGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC)load("glGetFramebufferAttachmentParameteriv");
	biz_glGenerateMipmap = (PFNGLGENERATEMIPMAPPROC)load("glGenerateMipmap");
	biz_glBlitFramebuffer = (PFNGLBLITFRAMEBUFFERPROC)load("glBlitFramebuffer");
	biz_glRenderbufferStorageMultisample = (PFNGLRENDERBUFFERSTORAGEMULTISAMPLEPROC)load("glRenderbufferStorageMultisample");
	biz_glFramebufferTextureLayer = (PFNGLFRAMEBUFFERTEXTURELAYERPROC)load("glFramebufferTextureLayer");
	biz_glMapBufferRange = (PFNGLMAPBUFFERRANGEPROC)load("glMapBufferRange");
	biz_glFlushMappedBufferRange = (PFNGLFLUSHMAPPEDBUFFERRANGEPROC)load("glFlushMappedBufferRange");
	biz_glBindVertexArray = (PFNGLBINDVERTEXARRAYPROC)load("glBindVertexArray");
	biz_glDeleteVertexArrays = (PFNGLDELETEVERTEXARRAYSPROC)load("glDeleteVertexArrays");
	biz_glGenVertexArrays = (PFNGLGENVERTEXARRAYSPROC)load("glGenVertexArrays");
	biz_glIsVertexArray = (PFNGLISVERTEXARRAYPROC)load("glIsVertexArray");

	// 3.1
	biz_glDrawArraysInstanced = (PFNGLDRAWARRAYSINSTANCEDPROC)load("glDrawArraysInstanced");
	biz_glDrawElementsInstanced = (PFNGLDRAWELEMENTSINSTANCEDPROC)load("glDrawElementsInstanced");
	biz_glTexBuffer = (PFNGLTEXBUFFERPROC)load("glTexBuffer");
	biz_glPrimitiveRestartIndex = (PFNGLPRIMITIVERESTARTINDEXPROC)load("glPrimitiveRestartIndex");
	biz_glCopyBufferSubData = (PFNGLCOPYBUFFERSUBDATAPROC)load("glCopyBufferSubData");
	biz_glGetUniformIndices = (PFNGLGETUNIFORMINDICESPROC)load("glGetUniformIndices");
	biz_glGetActiveUniformsiv = (PFNGLGETACTIVEUNIFORMSIVPROC)load("glGetActiveUniformsiv");
	biz_glGetActiveUniformName = (PFNGLGETACTIVEUNIFORMNAMEPROC)load("glGetActiveUniformName");
	biz_glGetUniformBlockIndex = (PFNGLGETUNIFORMBLOCKINDEXPROC)load("glGetUniformBlockIndex");
	biz_glGetActiveUniformBlockiv = (PFNGLGETACTIVEUNIFORMBLOCKIVPROC)load("glGetActiveUniformBlockiv");
	biz_glGetActiveUniformBlockName = (PFNGLGETACTIVEUNIFORMBLOCKNAMEPROC)load("glGetActiveUniformBlockName");
	biz_glUniformBlockBinding = (PFNGLUNIFORMBLOCKBINDINGPROC)load("glUniformBlockBinding");
}

static void LoadGL3_2(LoadGLProc load)
{
	// 1.0 - 3.1
	LoadGL3_1(load);

	// 3.2
	biz_glDrawElementsBaseVertex = (PFNGLDRAWELEMENTSBASEVERTEXPROC)load("glDrawElementsBaseVertex");
	biz_glDrawRangeElementsBaseVertex = (PFNGLDRAWRANGEELEMENTSBASEVERTEXPROC)load("glDrawRangeElementsBaseVertex");
	biz_glDrawElementsInstancedBaseVertex = (PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC)load("glDrawElementsInstancedBaseVertex");
	biz_glMultiDrawElementsBaseVertex = (PFNGLMULTIDRAWELEMENTSBASEVERTEXPROC)load("glMultiDrawElementsBaseVertex");
	biz_glProvokingVertex = (PFNGLPROVOKINGVERTEXPROC)load("glProvokingVertex");
	biz_glFenceSync = (PFNGLFENCESYNCPROC)load("glFenceSync");
	biz_glIsSync = (PFNGLISSYNCPROC)load("glIsSync");
	biz_glDeleteSync = (PFNGLDELETESYNCPROC)load("glDeleteSync");
	biz_glClientWaitSync = (PFNGLCLIENTWAITSYNCPROC)load("glClientWaitSync");
	biz_glWaitSync = (PFNGLWAITSYNCPROC)load("glWaitSync");
	biz_glGetInteger64v = (PFNGLGETINTEGER64VPROC)load("glGetInteger64v");
	biz_glGetSynciv = (PFNGLGETSYNCIVPROC)load("glGetSynciv");
	biz_glGetInteger64i_v = (PFNGLGETINTEGER64I_VPROC)load("glGetInteger64i_v");
	biz_glGetBufferParameteri64v = (PFNGLGETBUFFERPARAMETERI64VPROC)load("glGetBufferParameteri64v");
	biz_glFramebufferTexture = (PFNGLFRAMEBUFFERTEXTUREPROC)load("glFramebufferTexture");
	biz_glTexImage2DMultisample = (PFNGLTEXIMAGE2DMULTISAMPLEPROC)load("glTexImage2DMultisample");
	biz_glTexImage3DMultisample = (PFNGLTEXIMAGE3DMULTISAMPLEPROC)load("glTexImage3DMultisample");
	biz_glGetMultisamplefv = (PFNGLGETMULTISAMPLEFVPROC)load("glGetMultisamplefv");
	biz_glSampleMaski = (PFNGLSAMPLEMASKIPROC)load("glSampleMaski");
}

static void LoadGL4_3(LoadGLProc load)
{
	// 1.0 - 3.2
	LoadGL3_2(load);

	// 3.3
	biz_glBindFragDataLocationIndexed = (PFNGLBINDFRAGDATALOCATIONINDEXEDPROC)load("glBindFragDataLocationIndexed");
	biz_glGetFragDataIndex = (PFNGLGETFRAGDATAINDEXPROC)load("glGetFragDataIndex");
	biz_glGenSamplers = (PFNGLGENSAMPLERSPROC)load("glGenSamplers");
	biz_glDeleteSamplers = (PFNGLDELETESAMPLERSPROC)load("glDeleteSamplers");
	biz_glIsSampler = (PFNGLISSAMPLERPROC)load("glIsSampler");
	biz_glBindSampler = (PFNGLBINDSAMPLERPROC)load("glBindSampler");
	biz_glSamplerParameteri = (PFNGLSAMPLERPARAMETERIPROC)load("glSamplerParameteri");
	biz_glSamplerParameteriv = (PFNGLSAMPLERPARAMETERIVPROC)load("glSamplerParameteriv");
	biz_glSamplerParameterf = (PFNGLSAMPLERPARAMETERFPROC)load("glSamplerParameterf");
	biz_glSamplerParameterfv = (PFNGLSAMPLERPARAMETERFVPROC)load("glSamplerParameterfv");
	biz_glSamplerParameterIiv = (PFNGLSAMPLERPARAMETERIIVPROC)load("glSamplerParameterIiv");
	biz_glSamplerParameterIuiv = (PFNGLSAMPLERPARAMETERIUIVPROC)load("glSamplerParameterIuiv");
	biz_glGetSamplerParameteriv = (PFNGLGETSAMPLERPARAMETERIVPROC)load("glGetSamplerParameteriv");
	biz_glGetSamplerParameterIiv = (PFNGLGETSAMPLERPARAMETERIIVPROC)load("glGetSamplerParameterIiv");
	biz_glGetSamplerParameterfv = (PFNGLGETSAMPLERPARAMETERFVPROC)load("glGetSamplerParameterfv");
	biz_glGetSamplerParameterIuiv = (PFNGLGETSAMPLERPARAMETERIUIVPROC)load("glGetSamplerParameterIuiv");
	biz_glQueryCounter = (PFNGLQUERYCOUNTERPROC)load("glQueryCounter");
	biz_glGetQueryObjecti64v = (PFNGLGETQUERYOBJECTI64VPROC)load("glGetQueryObjecti64v");
	biz_glGetQueryObjectui64v = (PFNGLGETQUERYOBJECTUI64VPROC)load("glGetQueryObjectui64v");
	biz_glVertexAttribDivisor = (PFNGLVERTEXATTRIBDIVISORPROC)load("glVertexAttribDivisor");
	biz_glVertexAttribP1ui = (PFNGLVERTEXATTRIBP1UIPROC)load("glVertexAttribP1ui");
	biz_glVertexAttribP1uiv = (PFNGLVERTEXATTRIBP1UIVPROC)load("glVertexAttribP1uiv");
	biz_glVertexAttribP2ui = (PFNGLVERTEXATTRIBP2UIPROC)load("glVertexAttribP2ui");
	biz_glVertexAttribP2uiv = (PFNGLVERTEXATTRIBP2UIVPROC)load("glVertexAttribP2uiv");
	biz_glVertexAttribP3ui = (PFNGLVERTEXATTRIBP3UIPROC)load("glVertexAttribP3ui");
	biz_glVertexAttribP3uiv = (PFNGLVERTEXATTRIBP3UIVPROC)load("glVertexAttribP3uiv");
	biz_glVertexAttribP4ui = (PFNGLVERTEXATTRIBP4UIPROC)load("glVertexAttribP4ui");
	biz_glVertexAttribP4uiv = (PFNGLVERTEXATTRIBP4UIVPROC)load("glVertexAttribP4uiv");
	biz_glVertexP2ui = (PFNGLVERTEXP2UIPROC)load("glVertexP2ui");
	biz_glVertexP2uiv = (PFNGLVERTEXP2UIVPROC)load("glVertexP2uiv");
	biz_glVertexP3ui = (PFNGLVERTEXP3UIPROC)load("glVertexP3ui");
	biz_glVertexP3uiv = (PFNGLVERTEXP3UIVPROC)load("glVertexP3uiv");
	biz_glVertexP4ui = (PFNGLVERTEXP4UIPROC)load("glVertexP4ui");
	biz_glVertexP4uiv = (PFNGLVERTEXP4UIVPROC)load("glVertexP4uiv");
	biz_glTexCoordP1ui = (PFNGLTEXCOORDP1UIPROC)load("glTexCoordP1ui");
	biz_glTexCoordP1uiv = (PFNGLTEXCOORDP1UIVPROC)load("glTexCoordP1uiv");
	biz_glTexCoordP2ui = (PFNGLTEXCOORDP2UIPROC)load("glTexCoordP2ui");
	biz_glTexCoordP2uiv = (PFNGLTEXCOORDP2UIVPROC)load("glTexCoordP2uiv");
	biz_glTexCoordP3ui = (PFNGLTEXCOORDP3UIPROC)load("glTexCoordP3ui");
	biz_glTexCoordP3uiv = (PFNGLTEXCOORDP3UIVPROC)load("glTexCoordP3uiv");
	biz_glTexCoordP4ui = (PFNGLTEXCOORDP4UIPROC)load("glTexCoordP4ui");
	biz_glTexCoordP4uiv = (PFNGLTEXCOORDP4UIVPROC)load("glTexCoordP4uiv");
	biz_glMultiTexCoordP1ui = (PFNGLMULTITEXCOORDP1UIPROC)load("glMultiTexCoordP1ui");
	biz_glMultiTexCoordP1uiv = (PFNGLMULTITEXCOORDP1UIVPROC)load("glMultiTexCoordP1uiv");
	biz_glMultiTexCoordP2ui = (PFNGLMULTITEXCOORDP2UIPROC)load("glMultiTexCoordP2ui");
	biz_glMultiTexCoordP2uiv = (PFNGLMULTITEXCOORDP2UIVPROC)load("glMultiTexCoordP2uiv");
	biz_glMultiTexCoordP3ui = (PFNGLMULTITEXCOORDP3UIPROC)load("glMultiTexCoordP3ui");
	biz_glMultiTexCoordP3uiv = (PFNGLMULTITEXCOORDP3UIVPROC)load("glMultiTexCoordP3uiv");
	biz_glMultiTexCoordP4ui = (PFNGLMULTITEXCOORDP4UIPROC)load("glMultiTexCoordP4ui");
	biz_glMultiTexCoordP4uiv = (PFNGLMULTITEXCOORDP4UIVPROC)load("glMultiTexCoordP4uiv");
	biz_glNormalP3ui = (PFNGLNORMALP3UIPROC)load("glNormalP3ui");
	biz_glNormalP3uiv = (PFNGLNORMALP3UIVPROC)load("glNormalP3uiv");
	biz_glColorP3ui = (PFNGLCOLORP3UIPROC)load("glColorP3ui");
	biz_glColorP3uiv = (PFNGLCOLORP3UIVPROC)load("glColorP3uiv");
	biz_glColorP4ui = (PFNGLCOLORP4UIPROC)load("glColorP4ui");
	biz_glColorP4uiv = (PFNGLCOLORP4UIVPROC)load("glColorP4uiv");
	biz_glSecondaryColorP3ui = (PFNGLSECONDARYCOLORP3UIPROC)load("glSecondaryColorP3ui");
	biz_glSecondaryColorP3uiv = (PFNGLSECONDARYCOLORP3UIVPROC)load("glSecondaryColorP3uiv");

	// 4.0
	biz_glMinSampleShading = (PFNGLMINSAMPLESHADINGPROC)load("glMinSampleShading");
	biz_glBlendEquationi = (PFNGLBLENDEQUATIONIPROC)load("glBlendEquationi");
	biz_glBlendEquationSeparatei = (PFNGLBLENDEQUATIONSEPARATEIPROC)load("glBlendEquationSeparatei");
	biz_glBlendFunci = (PFNGLBLENDFUNCIPROC)load("glBlendFunci");
	biz_glBlendFuncSeparatei = (PFNGLBLENDFUNCSEPARATEIPROC)load("glBlendFuncSeparatei");
	biz_glDrawArraysIndirect = (PFNGLDRAWARRAYSINDIRECTPROC)load("glDrawArraysIndirect");
	biz_glDrawElementsIndirect = (PFNGLDRAWELEMENTSINDIRECTPROC)load("glDrawElementsIndirect");
	biz_glUniform1d = (PFNGLUNIFORM1DPROC)load("glUniform1d");
	biz_glUniform2d = (PFNGLUNIFORM2DPROC)load("glUniform2d");
	biz_glUniform3d = (PFNGLUNIFORM3DPROC)load("glUniform3d");
	biz_glUniform4d = (PFNGLUNIFORM4DPROC)load("glUniform4d");
	biz_glUniform1dv = (PFNGLUNIFORM1DVPROC)load("glUniform1dv");
	biz_glUniform2dv = (PFNGLUNIFORM2DVPROC)load("glUniform2dv");
	biz_glUniform3dv = (PFNGLUNIFORM3DVPROC)load("glUniform3dv");
	biz_glUniform4dv = (PFNGLUNIFORM4DVPROC)load("glUniform4dv");
	biz_glUniformMatrix2dv = (PFNGLUNIFORMMATRIX2DVPROC)load("glUniformMatrix2dv");
	biz_glUniformMatrix3dv = (PFNGLUNIFORMMATRIX3DVPROC)load("glUniformMatrix3dv");
	biz_glUniformMatrix4dv = (PFNGLUNIFORMMATRIX4DVPROC)load("glUniformMatrix4dv");
	biz_glUniformMatrix2x3dv = (PFNGLUNIFORMMATRIX2X3DVPROC)load("glUniformMatrix2x3dv");
	biz_glUniformMatrix2x4dv = (PFNGLUNIFORMMATRIX2X4DVPROC)load("glUniformMatrix2x4dv");
	biz_glUniformMatrix3x2dv = (PFNGLUNIFORMMATRIX3X2DVPROC)load("glUniformMatrix3x2dv");
	biz_glUniformMatrix3x4dv = (PFNGLUNIFORMMATRIX3X4DVPROC)load("glUniformMatrix3x4dv");
	biz_glUniformMatrix4x2dv = (PFNGLUNIFORMMATRIX4X2DVPROC)load("glUniformMatrix4x2dv");
	biz_glUniformMatrix4x3dv = (PFNGLUNIFORMMATRIX4X3DVPROC)load("glUniformMatrix4x3dv");
	biz_glGetUniformdv = (PFNGLGETUNIFORMDVPROC)load("glGetUniformdv");
	biz_glGetSubroutineUniformLocation = (PFNGLGETSUBROUTINEUNIFORMLOCATIONPROC)load("glGetSubroutineUniformLocation");
	biz_glGetSubroutineIndex = (PFNGLGETSUBROUTINEINDEXPROC)load("glGetSubroutineIndex");
	biz_glGetActiveSubroutineUniformiv = (PFNGLGETACTIVESUBROUTINEUNIFORMIVPROC)load("glGetActiveSubroutineUniformiv");
	biz_glGetActiveSubroutineUniformName = (PFNGLGETACTIVESUBROUTINEUNIFORMNAMEPROC)load("glGetActiveSubroutineUniformName");
	biz_glGetActiveSubroutineName = (PFNGLGETACTIVESUBROUTINENAMEPROC)load("glGetActiveSubroutineName");
	biz_glUniformSubroutinesuiv = (PFNGLUNIFORMSUBROUTINESUIVPROC)load("glUniformSubroutinesuiv");
	biz_glGetUniformSubroutineuiv = (PFNGLGETUNIFORMSUBROUTINEUIVPROC)load("glGetUniformSubroutineuiv");
	biz_glGetProgramStageiv = (PFNGLGETPROGRAMSTAGEIVPROC)load("glGetProgramStageiv");
	biz_glPatchParameteri = (PFNGLPATCHPARAMETERIPROC)load("glPatchParameteri");
	biz_glPatchParameterfv = (PFNGLPATCHPARAMETERFVPROC)load("glPatchParameterfv");
	biz_glBindTransformFeedback = (PFNGLBINDTRANSFORMFEEDBACKPROC)load("glBindTransformFeedback");
	biz_glDeleteTransformFeedbacks = (PFNGLDELETETRANSFORMFEEDBACKSPROC)load("glDeleteTransformFeedbacks");
	biz_glGenTransformFeedbacks = (PFNGLGENTRANSFORMFEEDBACKSPROC)load("glGenTransformFeedbacks");
	biz_glIsTransformFeedback = (PFNGLISTRANSFORMFEEDBACKPROC)load("glIsTransformFeedback");
	biz_glPauseTransformFeedback = (PFNGLPAUSETRANSFORMFEEDBACKPROC)load("glPauseTransformFeedback");
	biz_glResumeTransformFeedback = (PFNGLRESUMETRANSFORMFEEDBACKPROC)load("glResumeTransformFeedback");
	biz_glDrawTransformFeedback = (PFNGLDRAWTRANSFORMFEEDBACKPROC)load("glDrawTransformFeedback");
	biz_glDrawTransformFeedbackStream = (PFNGLDRAWTRANSFORMFEEDBACKSTREAMPROC)load("glDrawTransformFeedbackStream");
	biz_glBeginQueryIndexed = (PFNGLBEGINQUERYINDEXEDPROC)load("glBeginQueryIndexed");
	biz_glEndQueryIndexed = (PFNGLENDQUERYINDEXEDPROC)load("glEndQueryIndexed");
	biz_glGetQueryIndexediv = (PFNGLGETQUERYINDEXEDIVPROC)load("glGetQueryIndexediv");

	// 4.1
	biz_glReleaseShaderCompiler = (PFNGLRELEASESHADERCOMPILERPROC)load("glReleaseShaderCompiler");
	biz_glShaderBinary = (PFNGLSHADERBINARYPROC)load("glShaderBinary");
	biz_glGetShaderPrecisionFormat = (PFNGLGETSHADERPRECISIONFORMATPROC)load("glGetShaderPrecisionFormat");
	biz_glDepthRangef = (PFNGLDEPTHRANGEFPROC)load("glDepthRangef");
	biz_glClearDepthf = (PFNGLCLEARDEPTHFPROC)load("glClearDepthf");
	biz_glGetProgramBinary = (PFNGLGETPROGRAMBINARYPROC)load("glGetProgramBinary");
	biz_glProgramBinary = (PFNGLPROGRAMBINARYPROC)load("glProgramBinary");
	biz_glProgramParameteri = (PFNGLPROGRAMPARAMETERIPROC)load("glProgramParameteri");
	biz_glUseProgramStages = (PFNGLUSEPROGRAMSTAGESPROC)load("glUseProgramStages");
	biz_glActiveShaderProgram = (PFNGLACTIVESHADERPROGRAMPROC)load("glActiveShaderProgram");
	biz_glCreateShaderProgramv = (PFNGLCREATESHADERPROGRAMVPROC)load("glCreateShaderProgramv");
	biz_glBindProgramPipeline = (PFNGLBINDPROGRAMPIPELINEPROC)load("glBindProgramPipeline");
	biz_glDeleteProgramPipelines = (PFNGLDELETEPROGRAMPIPELINESPROC)load("glDeleteProgramPipelines");
	biz_glGenProgramPipelines = (PFNGLGENPROGRAMPIPELINESPROC)load("glGenProgramPipelines");
	biz_glIsProgramPipeline = (PFNGLISPROGRAMPIPELINEPROC)load("glIsProgramPipeline");
	biz_glGetProgramPipelineiv = (PFNGLGETPROGRAMPIPELINEIVPROC)load("glGetProgramPipelineiv");
	biz_glProgramUniform1i = (PFNGLPROGRAMUNIFORM1IPROC)load("glProgramUniform1i");
	biz_glProgramUniform1iv = (PFNGLPROGRAMUNIFORM1IVPROC)load("glProgramUniform1iv");
	biz_glProgramUniform1f = (PFNGLPROGRAMUNIFORM1FPROC)load("glProgramUniform1f");
	biz_glProgramUniform1fv = (PFNGLPROGRAMUNIFORM1FVPROC)load("glProgramUniform1fv");
	biz_glProgramUniform1d = (PFNGLPROGRAMUNIFORM1DPROC)load("glProgramUniform1d");
	biz_glProgramUniform1dv = (PFNGLPROGRAMUNIFORM1DVPROC)load("glProgramUniform1dv");
	biz_glProgramUniform1ui = (PFNGLPROGRAMUNIFORM1UIPROC)load("glProgramUniform1ui");
	biz_glProgramUniform1uiv = (PFNGLPROGRAMUNIFORM1UIVPROC)load("glProgramUniform1uiv");
	biz_glProgramUniform2i = (PFNGLPROGRAMUNIFORM2IPROC)load("glProgramUniform2i");
	biz_glProgramUniform2iv = (PFNGLPROGRAMUNIFORM2IVPROC)load("glProgramUniform2iv");
	biz_glProgramUniform2f = (PFNGLPROGRAMUNIFORM2FPROC)load("glProgramUniform2f");
	biz_glProgramUniform2fv = (PFNGLPROGRAMUNIFORM2FVPROC)load("glProgramUniform2fv");
	biz_glProgramUniform2d = (PFNGLPROGRAMUNIFORM2DPROC)load("glProgramUniform2d");
	biz_glProgramUniform2dv = (PFNGLPROGRAMUNIFORM2DVPROC)load("glProgramUniform2dv");
	biz_glProgramUniform2ui = (PFNGLPROGRAMUNIFORM2UIPROC)load("glProgramUniform2ui");
	biz_glProgramUniform2uiv = (PFNGLPROGRAMUNIFORM2UIVPROC)load("glProgramUniform2uiv");
	biz_glProgramUniform3i = (PFNGLPROGRAMUNIFORM3IPROC)load("glProgramUniform3i");
	biz_glProgramUniform3iv = (PFNGLPROGRAMUNIFORM3IVPROC)load("glProgramUniform3iv");
	biz_glProgramUniform3f = (PFNGLPROGRAMUNIFORM3FPROC)load("glProgramUniform3f");
	biz_glProgramUniform3fv = (PFNGLPROGRAMUNIFORM3FVPROC)load("glProgramUniform3fv");
	biz_glProgramUniform3d = (PFNGLPROGRAMUNIFORM3DPROC)load("glProgramUniform3d");
	biz_glProgramUniform3dv = (PFNGLPROGRAMUNIFORM3DVPROC)load("glProgramUniform3dv");
	biz_glProgramUniform3ui = (PFNGLPROGRAMUNIFORM3UIPROC)load("glProgramUniform3ui");
	biz_glProgramUniform3uiv = (PFNGLPROGRAMUNIFORM3UIVPROC)load("glProgramUniform3uiv");
	biz_glProgramUniform4i = (PFNGLPROGRAMUNIFORM4IPROC)load("glProgramUniform4i");
	biz_glProgramUniform4iv = (PFNGLPROGRAMUNIFORM4IVPROC)load("glProgramUniform4iv");
	biz_glProgramUniform4f = (PFNGLPROGRAMUNIFORM4FPROC)load("glProgramUniform4f");
	biz_glProgramUniform4fv = (PFNGLPROGRAMUNIFORM4FVPROC)load("glProgramUniform4fv");
	biz_glProgramUniform4d = (PFNGLPROGRAMUNIFORM4DPROC)load("glProgramUniform4d");
	biz_glProgramUniform4dv = (PFNGLPROGRAMUNIFORM4DVPROC)load("glProgramUniform4dv");
	biz_glProgramUniform4ui = (PFNGLPROGRAMUNIFORM4UIPROC)load("glProgramUniform4ui");
	biz_glProgramUniform4uiv = (PFNGLPROGRAMUNIFORM4UIVPROC)load("glProgramUniform4uiv");
	biz_glProgramUniformMatrix2fv = (PFNGLPROGRAMUNIFORMMATRIX2FVPROC)load("glProgramUniformMatrix2fv");
	biz_glProgramUniformMatrix3fv = (PFNGLPROGRAMUNIFORMMATRIX3FVPROC)load("glProgramUniformMatrix3fv");
	biz_glProgramUniformMatrix4fv = (PFNGLPROGRAMUNIFORMMATRIX4FVPROC)load("glProgramUniformMatrix4fv");
	biz_glProgramUniformMatrix2dv = (PFNGLPROGRAMUNIFORMMATRIX2DVPROC)load("glProgramUniformMatrix2dv");
	biz_glProgramUniformMatrix3dv = (PFNGLPROGRAMUNIFORMMATRIX3DVPROC)load("glProgramUniformMatrix3dv");
	biz_glProgramUniformMatrix4dv = (PFNGLPROGRAMUNIFORMMATRIX4DVPROC)load("glProgramUniformMatrix4dv");
	biz_glProgramUniformMatrix2x3fv = (PFNGLPROGRAMUNIFORMMATRIX2X3FVPROC)load("glProgramUniformMatrix2x3fv");
	biz_glProgramUniformMatrix3x2fv = (PFNGLPROGRAMUNIFORMMATRIX3X2FVPROC)load("glProgramUniformMatrix3x2fv");
	biz_glProgramUniformMatrix2x4fv = (PFNGLPROGRAMUNIFORMMATRIX2X4FVPROC)load("glProgramUniformMatrix2x4fv");
	biz_glProgramUniformMatrix4x2fv = (PFNGLPROGRAMUNIFORMMATRIX4X2FVPROC)load("glProgramUniformMatrix4x2fv");
	biz_glProgramUniformMatrix3x4fv = (PFNGLPROGRAMUNIFORMMATRIX3X4FVPROC)load("glProgramUniformMatrix3x4fv");
	biz_glProgramUniformMatrix4x3fv = (PFNGLPROGRAMUNIFORMMATRIX4X3FVPROC)load("glProgramUniformMatrix4x3fv");
	biz_glProgramUniformMatrix2x3dv = (PFNGLPROGRAMUNIFORMMATRIX2X3DVPROC)load("glProgramUniformMatrix2x3dv");
	biz_glProgramUniformMatrix3x2dv = (PFNGLPROGRAMUNIFORMMATRIX3X2DVPROC)load("glProgramUniformMatrix3x2dv");
	biz_glProgramUniformMatrix2x4dv = (PFNGLPROGRAMUNIFORMMATRIX2X4DVPROC)load("glProgramUniformMatrix2x4dv");
	biz_glProgramUniformMatrix4x2dv = (PFNGLPROGRAMUNIFORMMATRIX4X2DVPROC)load("glProgramUniformMatrix4x2dv");
	biz_glProgramUniformMatrix3x4dv = (PFNGLPROGRAMUNIFORMMATRIX3X4DVPROC)load("glProgramUniformMatrix3x4dv");
	biz_glProgramUniformMatrix4x3dv = (PFNGLPROGRAMUNIFORMMATRIX4X3DVPROC)load("glProgramUniformMatrix4x3dv");
	biz_glValidateProgramPipeline = (PFNGLVALIDATEPROGRAMPIPELINEPROC)load("glValidateProgramPipeline");
	biz_glGetProgramPipelineInfoLog = (PFNGLGETPROGRAMPIPELINEINFOLOGPROC)load("glGetProgramPipelineInfoLog");
	biz_glVertexAttribL1d = (PFNGLVERTEXATTRIBL1DPROC)load("glVertexAttribL1d");
	biz_glVertexAttribL2d = (PFNGLVERTEXATTRIBL2DPROC)load("glVertexAttribL2d");
	biz_glVertexAttribL3d = (PFNGLVERTEXATTRIBL3DPROC)load("glVertexAttribL3d");
	biz_glVertexAttribL4d = (PFNGLVERTEXATTRIBL4DPROC)load("glVertexAttribL4d");
	biz_glVertexAttribL1dv = (PFNGLVERTEXATTRIBL1DVPROC)load("glVertexAttribL1dv");
	biz_glVertexAttribL2dv = (PFNGLVERTEXATTRIBL2DVPROC)load("glVertexAttribL2dv");
	biz_glVertexAttribL3dv = (PFNGLVERTEXATTRIBL3DVPROC)load("glVertexAttribL3dv");
	biz_glVertexAttribL4dv = (PFNGLVERTEXATTRIBL4DVPROC)load("glVertexAttribL4dv");
	biz_glVertexAttribLPointer = (PFNGLVERTEXATTRIBLPOINTERPROC)load("glVertexAttribLPointer");
	biz_glGetVertexAttribLdv = (PFNGLGETVERTEXATTRIBLDVPROC)load("glGetVertexAttribLdv");
	biz_glViewportArrayv = (PFNGLVIEWPORTARRAYVPROC)load("glViewportArrayv");
	biz_glViewportIndexedf = (PFNGLVIEWPORTINDEXEDFPROC)load("glViewportIndexedf");
	biz_glViewportIndexedfv = (PFNGLVIEWPORTINDEXEDFVPROC)load("glViewportIndexedfv");
	biz_glScissorArrayv = (PFNGLSCISSORARRAYVPROC)load("glScissorArrayv");
	biz_glScissorIndexed = (PFNGLSCISSORINDEXEDPROC)load("glScissorIndexed");
	biz_glScissorIndexedv = (PFNGLSCISSORINDEXEDVPROC)load("glScissorIndexedv");
	biz_glDepthRangeArrayv = (PFNGLDEPTHRANGEARRAYVPROC)load("glDepthRangeArrayv");
	biz_glDepthRangeIndexed = (PFNGLDEPTHRANGEINDEXEDPROC)load("glDepthRangeIndexed");
	biz_glGetFloati_v = (PFNGLGETFLOATI_VPROC)load("glGetFloati_v");
	biz_glGetDoublei_v = (PFNGLGETDOUBLEI_VPROC)load("glGetDoublei_v");

	// 4.2
	biz_glDrawArraysInstancedBaseInstance = (PFNGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC)load("glDrawArraysInstancedBaseInstance");
	biz_glDrawElementsInstancedBaseInstance = (PFNGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC)load("glDrawElementsInstancedBaseInstance");
	biz_glDrawElementsInstancedBaseVertexBaseInstance = (PFNGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC)load("glDrawElementsInstancedBaseVertexBaseInstance");
	biz_glGetInternalformativ = (PFNGLGETINTERNALFORMATIVPROC)load("glGetInternalformativ");
	biz_glGetActiveAtomicCounterBufferiv = (PFNGLGETACTIVEATOMICCOUNTERBUFFERIVPROC)load("glGetActiveAtomicCounterBufferiv");
	biz_glBindImageTexture = (PFNGLBINDIMAGETEXTUREPROC)load("glBindImageTexture");
	biz_glMemoryBarrier = (PFNGLMEMORYBARRIERPROC)load("glMemoryBarrier");
	biz_glTexStorage1D = (PFNGLTEXSTORAGE1DPROC)load("glTexStorage1D");
	biz_glTexStorage2D = (PFNGLTEXSTORAGE2DPROC)load("glTexStorage2D");
	biz_glTexStorage3D = (PFNGLTEXSTORAGE3DPROC)load("glTexStorage3D");
	biz_glDrawTransformFeedbackInstanced = (PFNGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC)load("glDrawTransformFeedbackInstanced");
	biz_glDrawTransformFeedbackStreamInstanced = (PFNGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC)load("glDrawTransformFeedbackStreamInstanced");

	// 4.3
	biz_glClearBufferData = (PFNGLCLEARBUFFERDATAPROC)load("glClearBufferData");
	biz_glClearBufferSubData = (PFNGLCLEARBUFFERSUBDATAPROC)load("glClearBufferSubData");
	biz_glDispatchCompute = (PFNGLDISPATCHCOMPUTEPROC)load("glDispatchCompute");
	biz_glDispatchComputeIndirect = (PFNGLDISPATCHCOMPUTEINDIRECTPROC)load("glDispatchComputeIndirect");
	biz_glCopyImageSubData = (PFNGLCOPYIMAGESUBDATAPROC)load("glCopyImageSubData");
	biz_glFramebufferParameteri = (PFNGLFRAMEBUFFERPARAMETERIPROC)load("glFramebufferParameteri");
	biz_glGetFramebufferParameteriv = (PFNGLGETFRAMEBUFFERPARAMETERIVPROC)load("glGetFramebufferParameteriv");
	biz_glGetInternalformati64v = (PFNGLGETINTERNALFORMATI64VPROC)load("glGetInternalformati64v");
	biz_glInvalidateTexSubImage = (PFNGLINVALIDATETEXSUBIMAGEPROC)load("glInvalidateTexSubImage");
	biz_glInvalidateTexImage = (PFNGLINVALIDATETEXIMAGEPROC)load("glInvalidateTexImage");
	biz_glInvalidateBufferSubData = (PFNGLINVALIDATEBUFFERSUBDATAPROC)load("glInvalidateBufferSubData");
	biz_glInvalidateBufferData = (PFNGLINVALIDATEBUFFERDATAPROC)load("glInvalidateBufferData");
	biz_glInvalidateFramebuffer = (PFNGLINVALIDATEFRAMEBUFFERPROC)load("glInvalidateFramebuffer");
	biz_glInvalidateSubFramebuffer = (PFNGLINVALIDATESUBFRAMEBUFFERPROC)load("glInvalidateSubFramebuffer");
	biz_glMultiDrawArraysIndirect = (PFNGLMULTIDRAWARRAYSINDIRECTPROC)load("glMultiDrawArraysIndirect");
	biz_glMultiDrawElementsIndirect = (PFNGLMULTIDRAWELEMENTSINDIRECTPROC)load("glMultiDrawElementsIndirect");
	biz_glGetProgramInterfaceiv = (PFNGLGETPROGRAMINTERFACEIVPROC)load("glGetProgramInterfaceiv");
	biz_glGetProgramResourceIndex = (PFNGLGETPROGRAMRESOURCEINDEXPROC)load("glGetProgramResourceIndex");
	biz_glGetProgramResourceName = (PFNGLGETPROGRAMRESOURCENAMEPROC)load("glGetProgramResourceName");
	biz_glGetProgramResourceiv = (PFNGLGETPROGRAMRESOURCEIVPROC)load("glGetProgramResourceiv");
	biz_glGetProgramResourceLocation = (PFNGLGETPROGRAMRESOURCELOCATIONPROC)load("glGetProgramResourceLocation");
	biz_glGetProgramResourceLocationIndex = (PFNGLGETPROGRAMRESOURCELOCATIONINDEXPROC)load("glGetProgramResourceLocationIndex");
	biz_glShaderStorageBlockBinding = (PFNGLSHADERSTORAGEBLOCKBINDINGPROC)load("glShaderStorageBlockBinding");
	biz_glTexBufferRange = (PFNGLTEXBUFFERRANGEPROC)load("glTexBufferRange");
	biz_glTexStorage2DMultisample = (PFNGLTEXSTORAGE2DMULTISAMPLEPROC)load("glTexStorage2DMultisample");
	biz_glTexStorage3DMultisample = (PFNGLTEXSTORAGE3DMULTISAMPLEPROC)load("glTexStorage3DMultisample");
	biz_glTextureView = (PFNGLTEXTUREVIEWPROC)load("glTextureView");
	biz_glBindVertexBuffer = (PFNGLBINDVERTEXBUFFERPROC)load("glBindVertexBuffer");
	biz_glVertexAttribFormat = (PFNGLVERTEXATTRIBFORMATPROC)load("glVertexAttribFormat");
	biz_glVertexAttribIFormat = (PFNGLVERTEXATTRIBIFORMATPROC)load("glVertexAttribIFormat");
	biz_glVertexAttribLFormat = (PFNGLVERTEXATTRIBLFORMATPROC)load("glVertexAttribLFormat");
	biz_glVertexAttribBinding = (PFNGLVERTEXATTRIBBINDINGPROC)load("glVertexAttribBinding");
	biz_glVertexBindingDivisor = (PFNGLVERTEXBINDINGDIVISORPROC)load("glVertexBindingDivisor");
	biz_glDebugMessageControl = (PFNGLDEBUGMESSAGECONTROLPROC)load("glDebugMessageControl");
	biz_glDebugMessageInsert = (PFNGLDEBUGMESSAGEINSERTPROC)load("glDebugMessageInsert");
	biz_glDebugMessageCallback = (PFNGLDEBUGMESSAGECALLBACKPROC)load("glDebugMessageCallback");
	biz_glGetDebugMessageLog = (PFNGLGETDEBUGMESSAGELOGPROC)load("glGetDebugMessageLog");
	biz_glPushDebugGroup = (PFNGLPUSHDEBUGGROUPPROC)load("glPushDebugGroup");
	biz_glPopDebugGroup = (PFNGLPOPDEBUGGROUPPROC)load("glPopDebugGroup");
	biz_glObjectLabel = (PFNGLOBJECTLABELPROC)load("glObjectLabel");
	biz_glGetObjectLabel = (PFNGLGETOBJECTLABELPROC)load("glGetObjectLabel");
	biz_glObjectPtrLabel = (PFNGLOBJECTPTRLABELPROC)load("glObjectPtrLabel");
	biz_glGetObjectPtrLabel = (PFNGLGETOBJECTPTRLABELPROC)load("glGetObjectPtrLabel");
	biz_glGetPointerv = (PFNGLGETPOINTERVPROC)load("glGetPointerv");
}

void LoadGL(LoadGLProc load, LoadGLVersion version, bool isWinApi)
{
	switch (version)
	{
		case LoadGLVersion::V3_1:
			LoadGL3_1(load);
			break;
		case LoadGLVersion::V3_2:
			LoadGL3_2(load);
			break;
		case LoadGLVersion::V4_3:
			LoadGL4_3(load);
			break;
		default:
			__builtin_unreachable();
	}

	IsWinAPI = isWinApi;
}

}
